GNU bug report logs - #41239
GTK builds crashing in XTread_socket after deleting a frame

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: martin rudalics <rudalics@HIDDEN>; Keywords: confirmed; dated Wed, 13 May 2020 17:43:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as fixed in versions 28.1. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 25 May 2020 00:31:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 24 20:31:36 2020
Received: from localhost ([127.0.0.1]:39116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jd11k-0007FD-7K
	for submit <at> debbugs.gnu.org; Sun, 24 May 2020 20:31:36 -0400
Received: from mail-qk1-f179.google.com ([209.85.222.179]:37696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1jd11d-00074J-B3; Sun, 24 May 2020 20:31:29 -0400
Received: by mail-qk1-f179.google.com with SMTP id b27so6271543qka.4;
 Sun, 24 May 2020 17:31:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=5dRHEW5xnzCNNnHixaudaD/p5Wf5iivn2YZFMQA4wLs=;
 b=oJ42R7wzH9XCYA+MtqKgaYbnI6Lv62pZWNwb8Hmwm/7fg3U5aPAKBTUfLmOSrL74IR
 Tb7u3vwjqj9Gak6neNFmeN4c/eB+XtDN/sJapDm0aIGxIiNUjAVwiFEWz62OztGhLhlL
 wEZuW+QbmRJivDadZ2PlHG7HuwHW0yPzSwXmG/MXtY0IcfAK9EE+bWZ5xyPht867WvKl
 ym/S0P503wtJtriWw4ozSKYXSryZuwUodS7pz329ZzDyCA5USO9Cc0tqC2MgC+zj7fyl
 +OhUTBOZW/6zRf5kHDVZkeA4iYr1s4DxTxhU6fYre0kBrdctzLq6fkSgCVZ4OLyP3Kpp
 dzZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=5dRHEW5xnzCNNnHixaudaD/p5Wf5iivn2YZFMQA4wLs=;
 b=YpHTo16IChR/Kf/ti1KFFyX83hN9+qSXFejcAJxXjQ38CmKhTvMt5OpmKZ3KzITPgn
 +xsMiu1Oyx89bQUobeGPqOSX31f+s5t7UQIQXTkzokpEThA+Dsx0C2lpmN8A92VgYFxB
 7ic6EjATI0IEUYbv9ye2dkrtZxatDqjeHq43hIP8yUCY0qRCwG1nQlpllcJfSBKOJyML
 Py88ic5tuzwT9e8bRSfVg1PIDnd8sowiK6+J9v97SAHTSG3OMjoDar+Z3EVFFsJpoJTe
 O8ciu/pFeMoocyFBd8q99ldAfNXOyoqmF8X1pwpMbISog8hD3C6T9KtOZUSDde+OW2H3
 zSew==
X-Gm-Message-State: AOAM531EN0SrV1On/UIxmfGB6GiLaEFgqCGGedv8HGRmi00JomNiNPzO
 3r0/+iM32VOdC057J7ekRHEz5Pq3
X-Google-Smtp-Source: ABdhPJxv5DfDX6FwX6Ow0SV/VL26siIN08HcN7YEyL10XHO+1bMf+xKvy5LSE0wc6uZOF0fBiKsKVg==
X-Received: by 2002:a37:5ac2:: with SMTP id
 o185mr23889052qkb.461.1590366683622; 
 Sun, 24 May 2020 17:31:23 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 s55sm14832675qtb.92.2020.05.24.17.31.22
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 24 May 2020 17:31:23 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting
 a frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN>
 <835zcq7fop.fsf@HIDDEN> <87lflklq3e.fsf@HIDDEN>
 <09d44875-b025-4cce-981d-c2f181269091@HIDDEN> <87imgoky88.fsf@HIDDEN>
 <83v9ko2mup.fsf@HIDDEN> <87ftbskvm5.fsf@HIDDEN>
 <83o8qg2ljj.fsf@HIDDEN>
Date: Sun, 24 May 2020 20:31:21 -0400
In-Reply-To: <83o8qg2ljj.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 22 May
 2020 15:37:04 +0300")
Message-ID: <871rn8lusm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41239
Cc: rudalics@HIDDEN, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

fixed 41239 28.1
quit

Eli Zaretskii <eliz@HIDDEN> writes:

> It is indeed simple, but is it safe enough?  If you think it is, and
> cannot cause inadvertent problems, let's install this on emacs-27.

I've decided I don't know enough about gtk to declare it safe.  Pushed
to master.

[1: 3b65fb7658]: 2020-05-24 20:14:48 -0400
  Fix segfault on closing frame with tooltip (Bug#41239)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3b65fb7658c2717457c033c6704cf3b007804226




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 25 May 2020 00:11:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 24 20:11:51 2020
Received: from localhost ([127.0.0.1]:39087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jd0id-0005Ev-MJ
	for submit <at> debbugs.gnu.org; Sun, 24 May 2020 20:11:51 -0400
Received: from mail-qk1-f173.google.com ([209.85.222.173]:33661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jd0ic-0005Ei-Aw
 for 41239 <at> debbugs.gnu.org; Sun, 24 May 2020 20:11:50 -0400
Received: by mail-qk1-f173.google.com with SMTP id z80so16299723qka.0
 for <41239 <at> debbugs.gnu.org>; Sun, 24 May 2020 17:11:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=E4Aa0GsxN/fFjTLPKjz2x/GvDbsKOqQEHctkzQY1bPw=;
 b=RMolrz+57s2wJMU4eg8RiG0mdawCmafWOCNLoC+/q53GwkbJ7QwXZZjGE6EWnDXr7+
 eqdN75iBWxqG6hM8FUXpwtMCut2u4TjvhJn+F8Ay2qFSBO9MRuyA01//fo5YA5RnstsG
 Q9UDG5bygb+tZLg3OdKkakN7iqdL07yDWD4J27EWFf5E1N6elOtA+7Vg/Eduh+35NxaS
 4BXP3UdWbfdmY3z/gBr9t3jahnBd5kW6D/s08wfV4z1Zz6PsA3xsMrfggWyet/s5OQx5
 JNpEnvBciN9pjUUUWyxPUc5VCGyFCjOzsIPxOFMa8zyfzSgkwo6yb16drU6G0oFCsOPI
 mR8g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=E4Aa0GsxN/fFjTLPKjz2x/GvDbsKOqQEHctkzQY1bPw=;
 b=JwL3wQP2rHeZ2v+dFsQMBHv/jxXYgRX9F5kzMObV3ICyPMnbzmFq5DQdmj/CEY9gZ3
 p3Df33Dexb9vhgxpl4dR29Gw78Pvv+3yaXTvkgEmCsNc5tcuJPjxhNaWyazAOTRLNnMQ
 WGDje32BJDmuG07cElEWObikr5oHnxPg4UoPpyvy4Kq2n6DnN0UOsoNCqPXKB//qO+0C
 HLq5mwet+XgJ9qd6WzmMKCmYEMs+rBllVQGjAFc9W8u6cbXX/Um2JTy8wdYqypb16H5K
 J59n5rluujp1thzTYmBsosILHfeJEKs+wnXnLHX1MMgGHGyJIhY2BuG6yOn939xHC1lu
 fkDw==
X-Gm-Message-State: AOAM532hEiWmDJRDwC40LNVXL0NEOY1Ew5b/3hsTyvFFPT2zuqGLqQcm
 Eso4TEJcVAErYxXQMN7kuRzS3tFq
X-Google-Smtp-Source: ABdhPJwIeEei6TldY1WeO2UXwtWgF/lkgFlG1zDeDgoH0jYr4mVAB5ZfLxvq7DnH19BcwnT994s95g==
X-Received: by 2002:a05:620a:15f8:: with SMTP id
 p24mr12160193qkm.227.1590365504529; 
 Sun, 24 May 2020 17:11:44 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 a16sm12572674qko.92.2020.05.24.17.11.43
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 24 May 2020 17:11:43 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting
 a frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN>
 <835zcq7fop.fsf@HIDDEN> <87lflklq3e.fsf@HIDDEN>
 <09d44875-b025-4cce-981d-c2f181269091@HIDDEN> <87imgoky88.fsf@HIDDEN>
 <a810d062-763c-ba04-03d5-b9c538fb2de6@HIDDEN> <87d06vl5le.fsf@HIDDEN>
 <83r1vb189z.fsf@HIDDEN> <87a71yluph.fsf@HIDDEN>
 <4da5c7c1-ab32-96ee-ef2b-d7c88c8a40cc@HIDDEN>
Date: Sun, 24 May 2020 20:11:42 -0400
In-Reply-To: <4da5c7c1-ab32-96ee-ef2b-d7c88c8a40cc@HIDDEN> (martin rudalics's
 message of "Sat, 23 May 2020 14:38:03 +0200")
Message-ID: <877dx0lvpd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41239
Cc: Eli Zaretskii <eliz@HIDDEN>, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

>> No, just 'break g_log' in gdb works.
>
> What did you install for that to work?

Nothing.  But I see a possible point of confusion: if you run that
command just after starting gdb, before you've run emacs, then you get
the prompt

    Make breakpoint pending on future shared library load? (y or [n])

You might have reflexively answered 'n' to it, since it usually happens
after typoing the function name given to 'break'.  But this is a case
where 'y' is the correct answer since g_log is in the glib shared
library, not emacs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 23 May 2020 12:38:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 23 08:38:15 2020
Received: from localhost ([127.0.0.1]:33636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcTPq-0005CW-U7
	for submit <at> debbugs.gnu.org; Sat, 23 May 2020 08:38:15 -0400
Received: from mout.gmx.net ([212.227.17.20]:49375)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jcTPn-0005CG-TH
 for 41239 <at> debbugs.gnu.org; Sat, 23 May 2020 08:38:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1590237485;
 bh=qNJvc+XPb/25/mLplAIbTYayWl+K4j1wCpEeWJCACiU=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=Txe7b+8ZhzvGosdmpIK0aZY0oktNcZ/KTOa3Hi7/3x1iYNf0iAeTFZoJTA6oJqtlL
 Rm68YqHj6ZvkAkyhwiBq3ObNonLTomurWFecYnFF+hjKTb8kFVGkNa4uRTwzYeSWqY
 LtTzrSaMxD3vqOkEERtRQHNu3+BQWJifwNd6+dtg=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.71]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MtfNf-1il3Vi08JL-00v6Xd; Sat, 23
 May 2020 14:38:05 +0200
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a
 frame
To: Noam Postavsky <npostavs@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN> <835zcq7fop.fsf@HIDDEN>
 <87lflklq3e.fsf@HIDDEN> <09d44875-b025-4cce-981d-c2f181269091@HIDDEN>
 <87imgoky88.fsf@HIDDEN> <a810d062-763c-ba04-03d5-b9c538fb2de6@HIDDEN>
 <87d06vl5le.fsf@HIDDEN> <83r1vb189z.fsf@HIDDEN>
 <87a71yluph.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <4da5c7c1-ab32-96ee-ef2b-d7c88c8a40cc@HIDDEN>
Date: Sat, 23 May 2020 14:38:03 +0200
MIME-Version: 1.0
In-Reply-To: <87a71yluph.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:fRwzRfyDkwRd7cgTaAr6D40Gkmg1GNUY2tHBbE1rk1qfQOHtxgv
 4bQJbDVIpsQDqYz25aPX2e6ADmIkNb51E8V55VvMjSw9b8e3T6zUvafeKl1T+/qpD9XyKbQ
 f7cl3vy/JTnqmhD7JcDdnKU5u5DRxMMSQ5fOExjzPv+wtzcYFeGfFZfniiPXZrFUV+8AEQp
 DEAybMHytx88K3OMhKBeQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:9yzJrlymzoc=:vUeA6nXF62KJyICt2gXNtm
 OvfHOetq0oTDyn9ROGj923p553o4zZigSygX9W1EcilnJIHjstb9HE/U/5b8iWubymASaH1i5
 FY1VxGQ1uAgEzzthrZDFzH3q+krAHqbYIlOLNiKqLBQe/nf6LFQNPygX3FjSZuS9iag53DG0U
 R6WQ02L0fmrbV45AKIosloXnyDMZeuL4o8mfxX932brg3gPamzvn8UiEoC6pOkKVxW9PnoqUX
 MW4kOzKBMuuNv7SLrllutUXfx0SOOTRhGTNfbP8zngFnqqdEdf4+6YAVOuDQbt0pBW1QtSgW/
 qSYsdMWnhMBQCuq88Sd3O9awNqm7eFP0CMdDiIsyf3pjuYf2fh7RYjM8g5ytOL8iij8blzib8
 pi/WBJ5wWFd/kZeWIbFKZ5JDBESdrVTWlw6+H7g0TKbrnwim06UXGUGrEp1JcvS4JPE9/kd90
 k8mvRNWMbxq9SZfGm/AhxobgepRlXWnnwUHsnDA3rSWkkr9/h9HsBAEHISZZuIEBS1CMNVBQz
 7IsW36nuBMrYIGakSU2BBJpkJjD98EjHIH/eeVFutE0wvegBnztMoZlBKXyW44yhprTN+VF93
 za+Ti+ZeqavwPbWzC6G/vSsyyY66AVurRaYaOrQsDjtmjwaqHvOPFGxeHvWI6WKflzk1IwUnj
 Oy139qkMobZvOAl+IzVVNjNjF4zlXshoyb3nc/wExMC7C80R6LO+RvV2JnyXr0Gjh+z2el+CF
 IiCtd9zEdyp5PQlY2kYGkKgDx83pqxYUXKeEncP4TI1f24n6SYy3U+ZOaAPLVGM9mG4VXmR0G
 kpIHHMch8ophk8h2obyLY9UzhJosmiHhKSrlgJTB0yuTcXnLJIcPHXcArD2pd7BHnn7RhtLcN
 wrmic4HYOmpCrIfzTlOsl5zhL5LH2Qxf5vrRZLC/bjLrMHDE7mI4v5RFkKydhUp46cFrrWByt
 +cXAIBzb5dvhAZ80aBzyurl1Wi+fvYoYTDkFmYKliQfxV5jqyNwwlWdJ1X0JsSapMFywayMqa
 7WGZo/5HDDwcBxZAjfTJuC2PEOaQoVFyecEAa8XXh9yQ8Qi8Vru9yNt/ToLGrs605eYfirYtx
 A7tZmqpQXQEMoM3rPuZzaBQ9QZYR4gvkRXKHh4C7vImgHiNJhqwvvCXF8j/GeSdFF6y1eiVQk
 SFA1SF2bBdnlo+gWawTCC0J55sPKckeOt1OmSN7zR/xyCP1ahKFltSszWc+HBlQzYPq4tOvUf
 V7MJjm851UGepDkaJ
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41239
Cc: 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Not really no, but I have what might be a clue.  I can trigger this
 > condition much more reliably (about 3 in 4, instead of 1 in 10; perhaps
 > 1 in 10 times I was doing the following thing by accident), by
 > intentionally moving the mouse over another popup location without
 > letting it pop up, before doing the 'wait for popup and kill frame'
 > procedure.

Does not seem to help here.

 > So maybe our cleanup is too thorough in the case where we
 > call xg_prepare_tooltip but the tooltip ends up not being shown.

One observation I've made is that with emacs -Q and switching between
two frames I can occasionally pop up an Emacs tooltip which means that
preparing the GTK tooltip failed for whatever reason.

 >> How did you do that?  Did you build GTK with debugging information?
 >
 > No, just 'break g_log' in gdb works.

What did you install for that to work?  Would

https://wiki.gnome.org/Newcomers/DebianSourceDebugging

cover it?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 23 May 2020 12:08:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 23 08:08:50 2020
Received: from localhost ([127.0.0.1]:33571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcSxO-0002Jk-L8
	for submit <at> debbugs.gnu.org; Sat, 23 May 2020 08:08:50 -0400
Received: from mail-qt1-f194.google.com ([209.85.160.194]:33224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jcSxN-0002JX-G6
 for 41239 <at> debbugs.gnu.org; Sat, 23 May 2020 08:08:49 -0400
Received: by mail-qt1-f194.google.com with SMTP id e16so4573401qtg.0
 for <41239 <at> debbugs.gnu.org>; Sat, 23 May 2020 05:08:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=i36WKOnP0ayLNC4gFhR8GdQ1VoKEs4q8M9AUy+QQimM=;
 b=TJNB5RNer6gpOM8ItmTIovPx49PRjARjgbI+xWux8R1JQ6ssKeG2QfEreREJmksvu3
 wRIRWSr3IbFtPpdGkOmLw9G7tpmzHP7oU7yccdIdWWBBl7DcExvQBnJvQZNn7frDKBsI
 u5U5HjFfrw7xgYEFy7exkemKE5wUKbQy8db92a2V5lLpNwk2KU2Rz7eEbwV4gxSb0ptL
 00wdhFZwoecFgRu7/FdzR9I1ftGbXGF5caupPhvk2mS2gz2r8q93C5/DGOlS75oTAwU1
 pUOegV2RRc4yjnBU1pf3PvmboM2n9n5DyjYHfcolTdXOoJctxd/RzecZsMIYOWZ0PuUc
 r9Vw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=i36WKOnP0ayLNC4gFhR8GdQ1VoKEs4q8M9AUy+QQimM=;
 b=MJj5fECmVThkvGhDrz2Z7SDU8ahQ5fk5VbuD0DArofri92wOygNnNhlcUn63wH8RQ5
 GGuW4U0pUVwVNdCbPyLYMIZcVKFSsZSbYJrrW1H8ExJ9zG2qdEeuwqJWn/lueFu+5MDw
 VeGzwtCpt8B1hxBsYpO0BFaRj/qt9S8Syf0t0rIgxeXS45OWl0C9JTCm0qeWXSaQzQTw
 toaXjNLLmECLvR6JqYKhIG6wiSH6wE+urPEnBrHovTfEuTr4MA4SaP2+tcQceSZM0NwF
 A83haXYVtLmMEBT2bHWnkL6ZI9q724oEtlfgth4QifCHkr6l4knGCJsotM47tCFBe06+
 Nu2A==
X-Gm-Message-State: AOAM531cZAwT3HwcRwIXq7y1scYuOjGSzlYxVFfK8DLFjzGthykfeWFL
 J4N2q4QnGhu9usLsPUx0unRExcWX
X-Google-Smtp-Source: ABdhPJwGR66XNGpHXnM6x1YNd0S1LGJ9QtDcKqiuOgUnScLNjK0iIj2By4bJYq39FWIcCgasPanxFQ==
X-Received: by 2002:ac8:4906:: with SMTP id e6mr20567655qtq.39.1590235723877; 
 Sat, 23 May 2020 05:08:43 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 s55sm11062156qtb.92.2020.05.23.05.08.42
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 23 May 2020 05:08:43 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting
 a frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN>
 <835zcq7fop.fsf@HIDDEN> <87lflklq3e.fsf@HIDDEN>
 <09d44875-b025-4cce-981d-c2f181269091@HIDDEN> <87imgoky88.fsf@HIDDEN>
 <a810d062-763c-ba04-03d5-b9c538fb2de6@HIDDEN> <87d06vl5le.fsf@HIDDEN>
 <83r1vb189z.fsf@HIDDEN>
Date: Sat, 23 May 2020 08:08:42 -0400
In-Reply-To: <83r1vb189z.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 23 May
 2020 09:21:12 +0300")
Message-ID: <87a71yluph.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41239
Cc: rudalics@HIDDEN, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:
>
> Did you succeed in understanding what is that "ID 356" about which it
> complains, and why it wasn't found?

Not really no, but I have what might be a clue.  I can trigger this
condition much more reliably (about 3 in 4, instead of 1 in 10; perhaps
1 in 10 times I was doing the following thing by accident), by
intentionally moving the mouse over another popup location without
letting it pop up, before doing the 'wait for popup and kill frame'
procedure.  So maybe our cleanup is too thorough in the case where we
call xg_prepare_tooltip but the tooltip ends up not being shown.

I've tried setting a breakpoint in g_remove_source, but then I'm
flooded: it seems to be called every time the mouse moves even a little.

martin rudalics <rudalics@HIDDEN> writes:

>> Ah, I did manage to get it after repeating about 10 times.  Following
>> https://stackoverflow.com/questions/23199699/glib-critical-source-id-xxx-was-not-found-when-attempting-to-remove-it
>> I got a backtrace by putting a breakpoint on g_log.
>
> How did you do that?  Did you build GTK with debugging information?

No, just 'break g_log' in gdb works.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 23 May 2020 08:22:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 23 04:22:40 2020
Received: from localhost ([127.0.0.1]:33360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcPQW-0002tQ-H4
	for submit <at> debbugs.gnu.org; Sat, 23 May 2020 04:22:40 -0400
Received: from mout.gmx.net ([212.227.15.18]:35225)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jcPQU-0002tC-9V
 for 41239 <at> debbugs.gnu.org; Sat, 23 May 2020 04:22:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1590222151;
 bh=F1lYpy+5jlE9S/PpQooAdsetFpFahi/HiOn/VJD0Sjg=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=ZMrMONXHcmQeKCKiQAjMxC2649jColXJGd0FGS2fUcCviV/Q2ozIs+LaXdMdJn2G4
 i7c8nT9Wr6zckQi+DCVqha6Q1A3bvHRdQHdee7MaFa5Yi53lRqzjFMdLyEgOUf2dxD
 8fEpkAxTPciAuVU/vyUlOq53CuO3Vv5YPqu6Uxzk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.71]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Ml6mE-1jAnNr1N5Y-00lWOK; Sat, 23
 May 2020 10:22:31 +0200
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a
 frame
To: Noam Postavsky <npostavs@HIDDEN>
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN> <835zcq7fop.fsf@HIDDEN>
 <87lflklq3e.fsf@HIDDEN> <09d44875-b025-4cce-981d-c2f181269091@HIDDEN>
 <87imgoky88.fsf@HIDDEN> <a810d062-763c-ba04-03d5-b9c538fb2de6@HIDDEN>
 <87d06vl5le.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <3bfdbfd3-7c42-8ebd-6795-5926415933b1@HIDDEN>
Date: Sat, 23 May 2020 10:22:30 +0200
MIME-Version: 1.0
In-Reply-To: <87d06vl5le.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:WgyJzxCLlX0QzwFLMS7uv3Hy/u8ZR5QRLVloM5iwQGcvNl4KFCW
 43eU0w+Ai0PztKugrjNP558Z0pwUWq2JFU7e83CX2mZbD3E+GtMwMzpzu6f38CV9lkh9k/S
 G3sHAC0CNltxbNNPYXZ+xjZdaBC9Ef2wAhLLDegJOtSEZ1u9bs/Zk7VdP/cDqhK75PgMHFH
 S8bmCwPomj/KvRxuzpq7Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:pHWgqI6Lb44=:yWk2aHt7IeZOgwGQAEy+7e
 d/GkqfVguAAEqiXe13ksWfrJw69x/QJ7808b4D7fhNequKrmuZetwH2+qF8F+D88bgWCdmfNh
 0ZXcNsYeOLYV+QpGf7fYdagbNY7mjQM7o5vhrUxg41c4yKHklTnrTAf/sR+62Ofy8WCSiFRV7
 7BrUe67PhcahZo6xLNlWopz/NzBrKNT8MyBZkrk8cPpogNSzVspwk3HAhH4lWYIsfkA7b8+Oq
 1TXf7E9Oy921Iw5ZE9sa7mBdYY8zX970vDVy8fuynAo+Vj3I1Bet+jHG4NfuyD/Wwmhh/i6hM
 L6SEwRnwpP4OPAd5UVl0H1UUPAt3d1IUAWub/iz2n9UrNYB89hzXQqyd9L5kLke8k3TifDJMW
 4VbYpgMHM+FstgybQROWsUk3sdvP/OVD/O0Dv4AFOnAt3SQfU3V3dkFE49zJmgz9ow8HN7wu+
 eLJB51Xb1JejjDTdOA/tpum4rfI6DRw/GTBJDjtxPFManh4mKtn5bn8hmDbm+b/umSAB6TGZ0
 MRpMhdFJ6f5305AD15mGSV9X7HMVMZeQ+bfY0vMIIyh5LKbsm0UhqtfNzQfpKF+k0BqHfyKmh
 XI2R/DTDVXmK8m7+wvgoO0MgmrC+O5/3GTjY6DYUnl9m3gYFbNndlxlM+0rYZsopPtQnvqIbi
 8NyXd0ZnnsMgMw3P+CGGFPgx0pVYGSJmeFOB1mI4s+bYXBMlzLvteh1S6WQydUFoHfd1Yq9OF
 UUgFmjYEVFMc0hXZ2tlaNmAthBGbNp4FYf/tcxn4mq0BmtsCx8vahKViKWt7AXg2oydDXdVbL
 XYNgnyw+ZzXm/6rSbQD5b3MM1Aqx0SILTfXI5uaLeudf0LcvxwBuOqWLu+Sciwep3vir3ESUH
 MwfL+01yzrgVi4067BndQyOZ4OkVvSdAEPDEW9/zOezYFBW9BFaRXutUlo6EUjQgLEYmb1hdK
 EBF23VvxPXDKUb1quC96p3mlSxPmcEbo798xdJpcW8MyK5I04J7AkA7S5taQYxdd1MTEe8/9Y
 fLcEr1P/v8gSmJ9ifHrYolHJ33TWLIQ9ZlDxFQ3NxtopRUQZ6ADcjFkCvH36Zo6UjoXLkO3XE
 vFx+qXvz7FcuJ4orladzVEhwlRZABec03Ohf3WQEaGSqm27mQncEYPzVSvmpObce0fghTEMpe
 xk9Zjaz9FsctM+1yGUYHf/N9+GvBUdWJmP6L2nm4JsXneQ53EIMTF6HE7DWHuvljMW8G4dtdr
 mAmn7dWeciLQLfLsg
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41239
Cc: Eli Zaretskii <eliz@HIDDEN>, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Ah, I did manage to get it after repeating about 10 times.  Following
 > https://stackoverflow.com/questions/23199699/glib-critical-source-id-xxx-was-not-found-when-attempting-to-remove-it
 > I got a backtrace by putting a breakpoint on g_log.

How did you do that?  Did you build GTK with debugging information?

 > Not sure what to do
 > about it though.

Ignore it, I'd say.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 23 May 2020 06:21:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 23 02:21:17 2020
Received: from localhost ([127.0.0.1]:33245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcNX2-0008Ko-Oz
	for submit <at> debbugs.gnu.org; Sat, 23 May 2020 02:21:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48402)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jcNWz-0008KZ-CR
 for 41239 <at> debbugs.gnu.org; Sat, 23 May 2020 02:21:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39350)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jcNWt-0002Gy-Nk; Sat, 23 May 2020 02:21:07 -0400
Received: from [176.228.60.248] (port=4369 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jcNWt-0000jq-1y; Sat, 23 May 2020 02:21:07 -0400
Date: Sat, 23 May 2020 09:21:12 +0300
Message-Id: <83r1vb189z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-Reply-To: <87d06vl5le.fsf@HIDDEN> (message from Noam Postavsky on Fri,
 22 May 2020 22:58:53 -0400)
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting
 a frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN>
 <835zcq7fop.fsf@HIDDEN> <87lflklq3e.fsf@HIDDEN>
 <09d44875-b025-4cce-981d-c2f181269091@HIDDEN> <87imgoky88.fsf@HIDDEN>
 <a810d062-763c-ba04-03d5-b9c538fb2de6@HIDDEN> <87d06vl5le.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41239
Cc: rudalics@HIDDEN, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Noam Postavsky <npostavs@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  41239 <at> debbugs.gnu.org
> Date: Fri, 22 May 2020 22:58:53 -0400
> 
> >>> (emacs:4258): GLib-CRITICAL **: 10:02:32.377: Source ID 356 was not found when attempting to remove it
> >>>
> >>> issue though, just like the more intrusive fix I posted earlier.
> >>
> >> Oh, hmm, I don't get that (with or without the patch) here actually.
> >
> > I still get it but it may need a couple of C-x 5 2's and possibly
> > showing the tooltip on different locations.
> 
> Ah, I did manage to get it after repeating about 10 times.  Following
> https://stackoverflow.com/questions/23199699/glib-critical-source-id-xxx-was-not-found-when-attempting-to-remove-it
> I got a backtrace by putting a breakpoint on g_log.  Not sure what to do
> about it though.

Did you succeed in understanding what is that "ID 356" about which it
complains, and why it wasn't found?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 23 May 2020 02:59:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 22 22:59:04 2020
Received: from localhost ([127.0.0.1]:33153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jcKNM-00012M-1k
	for submit <at> debbugs.gnu.org; Fri, 22 May 2020 22:59:04 -0400
Received: from mail-qt1-f180.google.com ([209.85.160.180]:41548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jcKNJ-00011p-Su
 for 41239 <at> debbugs.gnu.org; Fri, 22 May 2020 22:59:02 -0400
Received: by mail-qt1-f180.google.com with SMTP id m44so9926287qtm.8
 for <41239 <at> debbugs.gnu.org>; Fri, 22 May 2020 19:59:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=uOuDcJGnph5j/A8EmrmDTVIoAPIZW9J+YWjMa7CcKVs=;
 b=q32CFc2a7egI5JbnSv2M92O/ta6Elbo6CIrAGgIcp47r25+WxYhBwLU+0+LsVoHbHD
 D+rzlYc36uiMme3wOw4i/F1m7yDKWwzfgFVASvArM1LfrZIFySbV52nUonH1owPE/bgk
 D8lInuwZy/U2OoJvK55jKhYpd0ql9Lmt3B/2IFWao0b2aPZXP98NeVLYvpN/RdgI+lrp
 JXE14eXJvaPAMJ1NdngkoWHxzM+Ik/KDwjabXCPPmBgictyLyRvOC6yhOSI5ZNP6ml54
 vQicQ0lKf5JCpcM+xqAmfOIapJL+NtG6rgW1QQEen/bI8NVId7s4YxdkdMEywJ3nrD/5
 E2ow==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=uOuDcJGnph5j/A8EmrmDTVIoAPIZW9J+YWjMa7CcKVs=;
 b=Fb+/v5ARtysOP8NZZSgNrPjwFWW+AhWEnK52EXh2AlurklyMlvbgAo+OfGRLWoF09w
 jYBm2L0ILwwTrWm2jL/ib6QpFWjPhTxIVHfRhPzbOuPZjXz83JJvoM8RwHrxS9mpj7R+
 FpZ4RR8BUdBwiycq0vaEuy2bJP7qX9bXs16hZeF8zDaznCFwdoKKBpdRuQ4IqvDmf6eJ
 mO4iHZGe0XEomeF4TnacYSOFqhhE5Dl7JC/igaYsC3halcf9Hjpv3boHYwouFLWlWLUs
 0Y07dWw6PNgfqZvKVxv88bGUxFilu483TKuY1TLZP68fQdqCQGPIUMZ+U23d4XyjX8yC
 Pf8w==
X-Gm-Message-State: AOAM531PJdettQTcyblNl4sWSUTGaIPNavY+yk0Xy/fVbuzZUeQDt6YH
 2oEQv1Myiqw0DSivfm6gtVu2cloh
X-Google-Smtp-Source: ABdhPJymXcrkFAPqoszecdqUC7ruQ1lmmXnxSmsJMLqbTElcVWxUMeBYF+DarFRs6QVrdym8G2kmiA==
X-Received: by 2002:ac8:2397:: with SMTP id q23mr18102005qtq.44.1590202736069; 
 Fri, 22 May 2020 19:58:56 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 k57sm9791727qta.20.2020.05.22.19.58.54
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 22 May 2020 19:58:54 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting
 a frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN>
 <835zcq7fop.fsf@HIDDEN> <87lflklq3e.fsf@HIDDEN>
 <09d44875-b025-4cce-981d-c2f181269091@HIDDEN> <87imgoky88.fsf@HIDDEN>
 <a810d062-763c-ba04-03d5-b9c538fb2de6@HIDDEN>
Date: Fri, 22 May 2020 22:58:53 -0400
In-Reply-To: <a810d062-763c-ba04-03d5-b9c538fb2de6@HIDDEN> (martin rudalics's
 message of "Fri, 22 May 2020 15:03:34 +0200")
Message-ID: <87d06vl5le.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41239
Cc: Eli Zaretskii <eliz@HIDDEN>, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

martin rudalics <rudalics@HIDDEN> writes:

>>> It doesn't fix the
>>>
>>> (emacs:4258): GLib-CRITICAL **: 10:02:32.377: Source ID 356 was not found when attempting to remove it
>>>
>>> issue though, just like the more intrusive fix I posted earlier.
>>
>> Oh, hmm, I don't get that (with or without the patch) here actually.
>
> I still get it but it may need a couple of C-x 5 2's and possibly
> showing the tooltip on different locations.

Ah, I did manage to get it after repeating about 10 times.  Following
https://stackoverflow.com/questions/23199699/glib-critical-source-id-xxx-was-not-found-when-attempting-to-remove-it
I got a backtrace by putting a breakpoint on g_log.  Not sure what to do
about it though.


--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=g_log.backtrace
Content-Description: backtrace from g_log

#0  0x00007ffff54b0810 in g_log () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff54a83ec in g_source_remove () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff714e375 in ?? () from /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
#3  0x00007ffff5787c05 in g_object_unref () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
#4  0x000000000055bb97 in xg_free_frame_widgets (f=0x10673d0) at ../../src/gtkutil.c:1410
#5  0x000000000053cc63 in x_free_frame_resources (f=0x10673d0) at ../../src/xterm.c:12120
#6  0x000000000053d44e in x_destroy_window (f=0x10673d0) at ../../src/xterm.c:12227
#7  0x000000000042ed0e in delete_frame (frame=XIL(0x10673d5), force=XIL(0x30)) at ../../src/frame.c:2136
#8  0x000000000042f36e in Fdelete_frame (frame=XIL(0x10673d5), force=XIL(0x30)) at ../../src/frame.c:2326
#9  0x000000000062c23e in funcall_subr (subr=0xcb29c0 <Sdelete_frame>, numargs=2, args=0x7fffffffca30) at ../../src/eval.c:2869
#10 0x000000000062be29 in Ffuncall (nargs=3, args=0x7fffffffca28) at ../../src/eval.c:2794
#11 0x0000000000675e9c in exec_byte_code (bytestr=XIL(0x7fffe8da5f24), vector=XIL(0x7fffe8b3fca5), maxdepth=make_fixnum(7), 
    args_template=make_fixnum(257), nargs=1, args=0x7fffffffd058) at ../../src/bytecode.c:633
#12 0x000000000062c878 in funcall_lambda (fun=XIL(0x7fffe8b3fc6d), nargs=1, arg_vector=0x7fffffffd050) at ../../src/eval.c:2989
#13 0x000000000062be6d in Ffuncall (nargs=2, args=0x7fffffffd048) at ../../src/eval.c:2796
#14 0x00000000006230b5 in Ffuncall_interactively (nargs=2, args=0x7fffffffd048) at ../../src/callint.c:254
#15 0x000000000062c13c in funcall_subr (subr=0xcbff80 <Sfuncall_interactively>, numargs=2, args=0x7fffffffd048) at ../../src/eval.c:2847
#16 0x000000000062be29 in Ffuncall (nargs=3, args=0x7fffffffd040) at ../../src/eval.c:2794
#17 0x0000000000625461 in Fcall_interactively (function=XIL(0x7fffe7e1bc18), record_flag=XIL(0), keys=XIL(0xf9c7e5)) at ../../src/callint.c:783
#18 0x000000000062c26d in funcall_subr (subr=0xcbffc0 <Scall_interactively>, numargs=3, args=0x7fffffffd450) at ../../src/eval.c:2872
#19 0x000000000062be29 in Ffuncall (nargs=4, args=0x7fffffffd448) at ../../src/eval.c:2794
#20 0x0000000000675e9c in exec_byte_code (bytestr=XIL(0x7fffe8bdc04c), vector=XIL(0x7fffe8bdbbdd), maxdepth=make_fixnum(13), 
    args_template=make_fixnum(1025), nargs=4, args=0x7fffffffd9d8) at ../../src/bytecode.c:633
#21 0x000000000062c878 in funcall_lambda (fun=XIL(0x7fffe8bdbbad), nargs=4, arg_vector=0x7fffffffd9b8) at ../../src/eval.c:2989
#22 0x000000000062be6d in Ffuncall (nargs=5, args=0x7fffffffd9b0) at ../../src/eval.c:2796
#23 0x000000000062b902 in call4 (fn=XIL(0x41a0), arg1=XIL(0x7fffe7e1bc18), arg2=XIL(0), arg3=XIL(0xf9c7e5), arg4=XIL(0x30)) at ../../src/eval.c:2676
#24 0x0000000000577dd2 in read_char (commandflag=1, map=XIL(0x1ba2453), prev_event=XIL(0), used_mouse_menu=0x7fffffffdd7f, end_time=0x0)
    at ../../src/keyboard.c:2882
#25 0x0000000000585fe2 in read_key_sequence (keybuf=0x7fffffffdf80, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, 
    fix_current_buffer=true, prevent_redisplay=false) at ../../src/keyboard.c:9547
#26 0x000000000057406e in command_loop_1 () at ../../src/keyboard.c:1350
#27 0x000000000062882d in internal_condition_case (bfun=0x573c28 <command_loop_1>, handlers=XIL(0x90), hfun=0x57339c <cmd_error>) at ../../src/eval.c:1355
#28 0x00000000005738ed in command_loop_2 (ignore=XIL(0)) at ../../src/keyboard.c:1091
#29 0x00000000006280e2 in internal_catch (tag=XIL(0xd200), func=0x5738c0 <command_loop_2>, arg=XIL(0)) at ../../src/eval.c:1116
#30 0x000000000057388b in command_loop () at ../../src/keyboard.c:1070
#31 0x0000000000572f6b in recursive_edit_1 () at ../../src/keyboard.c:714
#32 0x00000000005730ef in Frecursive_edit () at ../../src/keyboard.c:786
#33 0x000000000056fbdb in main (argc=2, argv=0x7fffffffe458) at ../../src/emacs.c:2040

Lisp Backtrace:
"delete-frame" (0xffffca30)
"handle-delete-frame" (0xffffd050)
"funcall-interactively" (0xffffd048)
"call-interactively" (0xffffd450)
"command-execute" (0xffffd9b8)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 22 May 2020 13:03:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 22 09:03:44 2020
Received: from localhost ([127.0.0.1]:58417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jc7Ky-0007Y6-7C
	for submit <at> debbugs.gnu.org; Fri, 22 May 2020 09:03:44 -0400
Received: from mout.gmx.net ([212.227.17.21]:55631)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jc7Kw-0007Xt-TS
 for 41239 <at> debbugs.gnu.org; Fri, 22 May 2020 09:03:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1590152616;
 bh=IVF8i55KbQ2n1NuZh6gCbdCNggvrk3XljYZxCrkfTs0=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=SUDgxD6YoaUJTFFzjuhr9PFLJSV3ScXK9xNC25Nx+Up/ugYk3/DRC/iveHqj0/7Jk
 QBhzLWh+t51kekze70yjB4xFDsoHVoR881X4bA00deK5m+2xYERwG8eaPuclgdqiRv
 AeQvC2lpA9r7UMPwh+uzuNiGmEaNq75pAIkrXmSs=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.50]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MYNNy-1jX9XB3VP0-00VO1g; Fri, 22
 May 2020 15:03:35 +0200
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a
 frame
To: Noam Postavsky <npostavs@HIDDEN>
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN> <835zcq7fop.fsf@HIDDEN>
 <87lflklq3e.fsf@HIDDEN> <09d44875-b025-4cce-981d-c2f181269091@HIDDEN>
 <87imgoky88.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <a810d062-763c-ba04-03d5-b9c538fb2de6@HIDDEN>
Date: Fri, 22 May 2020 15:03:34 +0200
MIME-Version: 1.0
In-Reply-To: <87imgoky88.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:CnOkCG29yfJEmJCvH9orFdpjoyEBuAw6EhqhMD8EBeYX5WDphQ6
 xpbOIiEh969l0tdpSmWyD8JjxtvA8XLGEei8HUIsHopXMa7TXL+culpfkRu3M5EcVYaqUo2
 B77d5Yt5H25w/sv790/DU1H6NixnOIuqPWrwjTbo/jXcNAmvGfW4MHG37KrAXTMSRvDCVsX
 ZKvctkkHCy8Lfqc65ezig==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:jDUkz5WxD14=:d75UStIZgu1VeMTJ6x2wx+
 Lzr2Scy8eSKeIuxRsFokl2j7q70TRhUm2oNimDNGN8R8KfFhsiANJiaulxMRspMUP0xB3YpAA
 OAi8tkYYDrmyZikMIhCcRxK853oQl/oH+Ko5syrvynir/fvme4WZQG9+chk+6Kgp/6Jr+bYkZ
 0lGmnaYpGmVOiUclAVorhLheM6DZOM8L1ud6uTGvRcPPW7vKKnwtH4rvY5IBtMwsUncVTuxz8
 qaaEnxSwqGxE529iqVf/OLuVfGJ986Wy+uH/CIwHbJ2IyJq3K4yTlnkm0Y4pEbsRMSBviZeYH
 Jq3VlGub8qheoSMeiGR4jVvM/MF+OpXw+6cTEBoXHrA1mt5FpmDuapn3VcBbGCtAgO8r3jbi3
 7v1etKzplJORn8f/vOJYbCdA94B6bp4i59IPQrCEiX+iaAMW3RZEjlfdq0reX2glk6parj1xZ
 SM0ooVjs29CKZwn7vs6NqkXp/RdEZKbfyU2jAo1CHQqk2Izeo3kdt3MAjp3nvX6PXVpxmBogZ
 P3OIT5vFe23gP797o64OqB0t+YL58mRM4xRPRreOHuScQXIAcGEeZQIGGtwhDc8Szo1mn2amp
 cd+Mo8HJPHhQR/AherGrWSegVDfBWgEb4zd9yAdBeXTiDV/asy+vrYyZxrQ3GTi1NFkfsBV3Q
 sJnJ8aBTcBUfIOflp4X0z7pLU6PD20Sko1wt6wgZKE0gc3Gw+ESI/fesGaHXie5ToHdRYPauj
 yJ4SOEzaX9jWJE3mqEVGUQ+/1jzO6UsMQq+i1gcx3dD1ReY1p/2y57e4Noh9aGduJyE5M7E9b
 PWG3AAYgnmxieLwr1H84mTxJU7gUKWp+NgEYtCs1veSd1dTvCn7NDnnXelKwsvB34XkBpDUcA
 T7/pSDK0rJ7gWzgEg7CS5oiIQKZgluMbSB5JzBnfStCGWWUlI7L2/zl86GTbIfBpTUkY39y3J
 7sqIfuugsuDWNb+oPctlJqya74/JZG9Euk7GOUroPYAtMHQFKp9aSsemEvBr6Dh5kyxXSJKin
 2UFhEoONSzCAYTMbrG+g7Da/ZqPM2Q5IFMlx9xiVvc4Wel2sAyJq1n8Jpnqkbq/M8CJhTT40n
 vWbXH7QyrUkvp7CnLnP4fyKURnbSPrg2B+ROctgCmej+IbmyI9G2nOjPmuRlSsB3yXdFndLdg
 IyXh57Im3gc4HCsA6K/f4mF+798V7r/3oZCNJ7Vy+kBHqgVJowt9k7cYAFdL8uUXYmMttv7Ik
 O8G3M5f/wMIU25c/L
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41239
Cc: Eli Zaretskii <eliz@HIDDEN>, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> It doesn't fix the
 >>
 >> (emacs:4258): GLib-CRITICAL **: 10:02:32.377: Source ID 356 was not found when attempting to remove it
 >>
 >> issue though, just like the more intrusive fix I posted earlier.
 >
 > Oh, hmm, I don't get that (with or without the patch) here actually.

I still get it but it may need a couple of C-x 5 2's and possibly
showing the tooltip on different locations.  On

GNU Emacs 27.0.91 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.5)
  of 2020-05-20

run under GDB.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 22 May 2020 12:37:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 22 08:37:21 2020
Received: from localhost ([127.0.0.1]:58334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jc6vC-0006rc-Jl
	for submit <at> debbugs.gnu.org; Fri, 22 May 2020 08:37:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35906)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jc6vA-0006r8-SA
 for 41239 <at> debbugs.gnu.org; Fri, 22 May 2020 08:37:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47311)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jc6v5-0005Di-DL; Fri, 22 May 2020 08:36:59 -0400
Received: from [176.228.60.248] (port=2331 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jc6v4-0002e7-Rh; Fri, 22 May 2020 08:36:59 -0400
Date: Fri, 22 May 2020 15:37:04 +0300
Message-Id: <83o8qg2ljj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-Reply-To: <87ftbskvm5.fsf@HIDDEN> (message from Noam Postavsky on Fri,
 22 May 2020 08:22:10 -0400)
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting
 a frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN>
 <835zcq7fop.fsf@HIDDEN> <87lflklq3e.fsf@HIDDEN>
 <09d44875-b025-4cce-981d-c2f181269091@HIDDEN> <87imgoky88.fsf@HIDDEN>
 <83v9ko2mup.fsf@HIDDEN> <87ftbskvm5.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41239
Cc: rudalics@HIDDEN, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Noam Postavsky <npostavs@HIDDEN>
> Cc: rudalics@HIDDEN,  41239 <at> debbugs.gnu.org
> Date: Fri, 22 May 2020 08:22:10 -0400
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Are there good reasons to put this on emacs-27?
> 
> I thought the fix could be simple enough to consider for emacs-27

It is indeed simple, but is it safe enough?  If you think it is, and
cannot cause inadvertent problems, let's install this on emacs-27.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 22 May 2020 12:22:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 22 08:22:19 2020
Received: from localhost ([127.0.0.1]:58294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jc6gt-0006T7-Gr
	for submit <at> debbugs.gnu.org; Fri, 22 May 2020 08:22:19 -0400
Received: from mail-qk1-f173.google.com ([209.85.222.173]:35217)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jc6gs-0006Sv-Pu
 for 41239 <at> debbugs.gnu.org; Fri, 22 May 2020 08:22:19 -0400
Received: by mail-qk1-f173.google.com with SMTP id f13so10481118qkh.2
 for <41239 <at> debbugs.gnu.org>; Fri, 22 May 2020 05:22:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=7lMflLnPqWDdxnoLQNGTl5vyT44R+hFkcNZCwX4nnIo=;
 b=B3lK8Ets4OpsivZITtngOMFTEAR6DG+3TgAjg3F5dwGThfBkPlXu5DVolXfl7lJPJS
 md1ZhHt9SmjnbJA30A9LOLv7TLAen6SklkAaUvluF8oqbfCLS3oDtY3Ha4MRYYJa4M7W
 8T0LdwQDdgbLGdicMQnhhEx9gm18Ys9brF0gbxzm/F44o2FuyLsiiqBIrNamKf0sdFmF
 7GAAKrq0PQrowXeUzscA8yqWCahTPUycJ9Od5qh51L5F9/W8JSXhz50SJ0Yq601urYsP
 5gnPXBvp0RPbrXWK0/FBeeOk9avInNGY2RGql7GnrRZXjGAhlsJSIQvsMzaXq+SUP/s2
 iPPQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=7lMflLnPqWDdxnoLQNGTl5vyT44R+hFkcNZCwX4nnIo=;
 b=T6Rn86FTbxw6rW9aYXzRbzI+jRlB8mIlz8P+Q9KUSOfKFqPIIRc3uV3b9sZukoz7qe
 drrc9BVXqphLmdeKYcvuwgFb954kRd8praZ4+xoBexNVCoLAmYgUupINlmhC5tWpwb5o
 kP62ND/jSxqmn+JXv6Qhd7P3U4CSxDJNYu0Md8UEh4Mztvp4nT5UfuuL25KU+BUvZtNT
 I3iJ/ggxBtw6484A/y4QEjwuqO5kkXpgTX4w7HkJiJ88CBX1G+k1cTdjvcHmXG70Cn+N
 3nNBgxg2ZsZgP7pSXZnVUstNVomS2lIK7v05/h87TaFYyvhskLbad9Lgr0/0DzFBehfQ
 Z0BQ==
X-Gm-Message-State: AOAM530aWFurxhvgrXYjb5+klzKehSpDhmbpyuJK+eWsc8TescQ0/GKL
 URILBlC7hVyCrJWPNX+OFfNmkeSY
X-Google-Smtp-Source: ABdhPJz7jiW1KEI7OMpO4yz13G4Ou9mzl77OdKxe0TZmuM6Z6KFnAua8RBIYnMdJFIhxtbBrLXZXnQ==
X-Received: by 2002:a37:9f8b:: with SMTP id i133mr1718104qke.455.1590150132702; 
 Fri, 22 May 2020 05:22:12 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 g11sm6882357qkk.106.2020.05.22.05.22.11
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 22 May 2020 05:22:11 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting
 a frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN>
 <835zcq7fop.fsf@HIDDEN> <87lflklq3e.fsf@HIDDEN>
 <09d44875-b025-4cce-981d-c2f181269091@HIDDEN> <87imgoky88.fsf@HIDDEN>
 <83v9ko2mup.fsf@HIDDEN>
Date: Fri, 22 May 2020 08:22:10 -0400
In-Reply-To: <83v9ko2mup.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 22 May
 2020 15:08:46 +0300")
Message-ID: <87ftbskvm5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41239
Cc: rudalics@HIDDEN, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Are there good reasons to put this on emacs-27?

I thought the fix could be simple enough to consider for emacs-27, but
master is fine by me.  I'll push tomorrow.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 22 May 2020 12:08:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 22 08:08:50 2020
Received: from localhost ([127.0.0.1]:58242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jc6Tp-00065A-SV
	for submit <at> debbugs.gnu.org; Fri, 22 May 2020 08:08:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60358)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jc6Tn-00064w-Nx
 for 41239 <at> debbugs.gnu.org; Fri, 22 May 2020 08:08:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46086)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jc6Ti-0007on-6w; Fri, 22 May 2020 08:08:42 -0400
Received: from [176.228.60.248] (port=4564 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jc6Th-0007rF-LT; Fri, 22 May 2020 08:08:42 -0400
Date: Fri, 22 May 2020 15:08:46 +0300
Message-Id: <83v9ko2mup.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-Reply-To: <87imgoky88.fsf@HIDDEN> (message from Noam Postavsky on Fri,
 22 May 2020 07:25:43 -0400)
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting
 a frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN>
 <835zcq7fop.fsf@HIDDEN> <87lflklq3e.fsf@HIDDEN>
 <09d44875-b025-4cce-981d-c2f181269091@HIDDEN> <87imgoky88.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41239
Cc: rudalics@HIDDEN, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Noam Postavsky <npostavs@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  41239 <at> debbugs.gnu.org
> Date: Fri, 22 May 2020 07:25:43 -0400
> 
> >> It fixes the crash and I think you should apply it.
> >
> > I agree.
> 
> For emacs-27 or master?

I thought about master.  Are there good reasons to put this on
emacs-27?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 22 May 2020 11:25:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 22 07:25:56 2020
Received: from localhost ([127.0.0.1]:58179 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jc5oK-0002tq-7K
	for submit <at> debbugs.gnu.org; Fri, 22 May 2020 07:25:56 -0400
Received: from mail-qk1-f179.google.com ([209.85.222.179]:38856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jc5oG-0002tb-5F
 for 41239 <at> debbugs.gnu.org; Fri, 22 May 2020 07:25:55 -0400
Received: by mail-qk1-f179.google.com with SMTP id f189so10299154qkd.5
 for <41239 <at> debbugs.gnu.org>; Fri, 22 May 2020 04:25:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=42gFrwO7AvCkdEzA6L85+qyJOxvyhu6/9sHVP6PaEag=;
 b=RhswWqPWWNAutcvKl7f0MJiitpf/rskMzPj5AyvvOHVV4VJdm+GbtHbB5X6HCDxVvV
 6Q/YhCLSIKizIEU+xVASlt5Jgb09LXfJ1I3Q5hdlQaLT6+dncT/ZiI5fpTIyRJ98yT0R
 qEmSt/VsXfDAAffkjQAtkpNYAF1KB0PuW4TTyCzlct/yfLn0sC9akH3z2Df8b7AKUcW2
 d85rrdx/i0sT5ZNl7JmKYgXN49qomwY334FxZG5MeGMaNVpk+HQrJWnJD+rbMiQcO21N
 T+86yx+9dMPPXxVgY+Q1Xv+6lPcb5ZjbLOdLA5TWnIbPPUmLhMKMMeNAE4TQalvrHWvN
 ev5A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=42gFrwO7AvCkdEzA6L85+qyJOxvyhu6/9sHVP6PaEag=;
 b=Y65m8XOOC9dm2F/JQQJMrQgIuBb+yHslZ/B82UkrR/PNcUKs+xCcb0UngJH9+lRJTx
 zGqa0A6SZ8oMx7pAAoOm13nLVJ8jIfLMzNbS/68ss9Q+crU1edotfsrel5cch/qeOD5W
 VFAnNe2IugNq6rwseDXyvC/9n4jDj2/qTeDykbeBTgJ4afRAUaOP7gzu3fJ8dik4UFkF
 qQ5KlOyP2WeJseAWKzSnrgJ7xUaKxP/N5G3cVuod2qW1PTdtqUiOnUdjU+m0FzRXl3JH
 wQkBVNd04gjQ5klzjkfweh/O148WRbvMufTTwh4Suc+guSCZhUjBm+OnC+43qMZBOsq5
 u41A==
X-Gm-Message-State: AOAM532ZLOYCaTTm8iCaeNNSd/DqiLqj5j+eD0sDNiPBvUvK4eF8KGkg
 e/3YT44xEGRavKl97azDh20zV0tF
X-Google-Smtp-Source: ABdhPJzhlPn14O2Q3bhI1DYOfcgNOcK+QhCFjdc/wXpa99AIm8eXOvpczlowh3da6UgGv6SjxBkNpA==
X-Received: by 2002:a37:8844:: with SMTP id k65mr14858346qkd.309.1590146745602; 
 Fri, 22 May 2020 04:25:45 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 z65sm7019557qkc.91.2020.05.22.04.25.44
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 22 May 2020 04:25:44 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting
 a frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN>
 <835zcq7fop.fsf@HIDDEN> <87lflklq3e.fsf@HIDDEN>
 <09d44875-b025-4cce-981d-c2f181269091@HIDDEN>
Date: Fri, 22 May 2020 07:25:43 -0400
In-Reply-To: <09d44875-b025-4cce-981d-c2f181269091@HIDDEN> (martin rudalics's
 message of "Fri, 22 May 2020 11:31:17 +0200")
Message-ID: <87imgoky88.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41239
Cc: Eli Zaretskii <eliz@HIDDEN>, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

> It doesn't fix the
>
> (emacs:4258): GLib-CRITICAL **: 10:02:32.377: Source ID 356 was not found when attempting to remove it
>
> issue though, just like the more intrusive fix I posted earlier.

Oh, hmm, I don't get that (with or without the patch) here actually.

Eli Zaretskii <eliz@HIDDEN> writes:

>> It fixes the crash and I think you should apply it.
>
> I agree.

For emacs-27 or master?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 22 May 2020 11:05:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 22 07:05:37 2020
Received: from localhost ([127.0.0.1]:58155 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jc5Uf-0002Q3-2i
	for submit <at> debbugs.gnu.org; Fri, 22 May 2020 07:05:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jc5Uc-0002Pp-UA
 for 41239 <at> debbugs.gnu.org; Fri, 22 May 2020 07:05:35 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41211)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jc5UX-0003v8-LP; Fri, 22 May 2020 07:05:29 -0400
Received: from [176.228.60.248] (port=4649 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jc5UW-0003su-Ll; Fri, 22 May 2020 07:05:29 -0400
Date: Fri, 22 May 2020 14:05:33 +0300
Message-Id: <834ks844ci.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <09d44875-b025-4cce-981d-c2f181269091@HIDDEN> (message from
 martin rudalics on Fri, 22 May 2020 11:31:17 +0200)
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a
 frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN> <835zcq7fop.fsf@HIDDEN>
 <87lflklq3e.fsf@HIDDEN> <09d44875-b025-4cce-981d-c2f181269091@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41239
Cc: 41239 <at> debbugs.gnu.org, npostavs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 41239 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Fri, 22 May 2020 11:31:17 +0200
> 
>  > The patch below seems to fix it.
> 
> It fixes the crash and I think you should apply it.

I agree.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 22 May 2020 09:31:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 22 05:31:29 2020
Received: from localhost ([127.0.0.1]:58063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jc41W-0006CE-66
	for submit <at> debbugs.gnu.org; Fri, 22 May 2020 05:31:29 -0400
Received: from mout.gmx.net ([212.227.17.20]:58557)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jc41V-0006C2-HT
 for 41239 <at> debbugs.gnu.org; Fri, 22 May 2020 05:31:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1590139878;
 bh=QDAKR+8aZqRvdBDndY4NQUPrJckH7bZRBWrVYX1GSGU=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=UCQ62DoqxyQyANE5WdMPuCln1OOqXfp1SvJFQ4bfrZ4IdlXbJSd64LH4r9JEBsTJB
 4zE8gEdYisa4HnT5TDolUOMKIOr/xG+wOoJQV4XSAo3Ni9CS52vVwUUpj48qID0MEA
 GtAs4bnIPD1fMkWZITA348zd1pJEK2dyRZ+/rHVI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.50]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MTzfG-1jSoaq2p6o-00R09a; Fri, 22
 May 2020 11:31:18 +0200
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a
 frame
To: Noam Postavsky <npostavs@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN> <835zcq7fop.fsf@HIDDEN>
 <87lflklq3e.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <09d44875-b025-4cce-981d-c2f181269091@HIDDEN>
Date: Fri, 22 May 2020 11:31:17 +0200
MIME-Version: 1.0
In-Reply-To: <87lflklq3e.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:nzdMTOD9Dym7DF7+U6ZOo2Ol0Spy6pay+7LKXYgkWiPNvMyUDqm
 2mRKX12fUAYO16RcmVRrID3Rc+yqCbjPoxyh0IGgJQFPg8ZPaZvrb+RSehZTH+ev0r3Zbux
 wj+lEBCaw9W4VX5xCsXWPStSKO8xVe4dxmoW5sR2BK2LiBjV9k90U565bGgtCI9RyQNRDNy
 1RPMe5Y12QIp0Eu67CO1w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:nmDM6RqPcF0=:9q5kLigSllrFFmyYVkAjEu
 vwJDxsbbNxCrxrlJIBOEpho5QbJJYu/FeDDB8kuOoa6kYAyiXP+SrEgpSCkBPSkXQbLGDhKQ/
 f1K3oOjmBLAX2fB0Gt82ws7YaozaqwVAbKhTmF0aI99nYW8HOg/Av95fvBpGIR/k7xc4UI0W9
 7wqg8KG+IPvrXsdGIVS3LiClEgjdEr4+XcSkqY2/bdsvTuhSafi1Sfn+ybLMz4ay9MwGR6aB+
 Tg1jB7PlhdASTYqrz8l/sj0yPibTkZxkpnTqU8ePwKZfu55jHc5aE3KsgyVbnj7AIF/2qVe/h
 L3BFVyo1eyrZivkOhQ8bD92bABSj4emSdd8ViA0byXcGoiVE9VoNi06/x89PtCIC94wGd4/Pr
 ARjXwb3dont5YNukKK40gTltFhhhUh5B4TuIBg1tdNSoIKA9jzQDPCrkqnqxDZ8vN7w0wUkaX
 wG0vwSR4LBQWWKrdVqpHDMlydLVpNxTePT8QhRoIfUS0inbVM6gxG6ctZA+Z40Wi1MOVjhsdo
 TMuMfAkvMQsr5EoNNQ5QHC0JMhVX5BRQoJ53gywWNWeQNF0ypwEMXFfzuMWSotbJU8Q2vb/a0
 q3NJpiKIXx8nXTLSDp7YnWwuLIF/Jg5k/66QLrdNln9IU5XuoeV9NqAKqAm5Yxm0ZATrOUNnl
 osNhVDkHHcPm1Vye+iJUcFCGt2WEojJQUiqKlCI6hBhC/OdDCmIKl1VVKJxKJVdHMmHDW8h6Q
 /0PINy558zP9d5bqeqC2X7kurcTx90OIF4OIEItD4wsqHeMQxCFcQHpVKILyzaeruFHy+HxX5
 JTQLdkBxEgsBKusNqE24/u0Hyba8CrJr1+ZpGJRVdS+IDhTOh+TolCJlAqDDjljmBOHmGnUUG
 x8iZR0+CUve4MneCD/cn2/F4GLVB9VW5ojs6qixHWJ/GF8QmmALo/IKzOFlR+SZvFM5eZIXIc
 20BY3O9bo/+D3dV1QPpa6YeSIxeO735B6Z9AWsAXs54CfYD8eFfgLNDn5rn/vvLjJg16iyBea
 P/gQoCASraBdWxO4AycRenONJHsX7+T0FJhJvuRh3v8QZ85nnPON1pYwLZRP9GTZxpPvNMya5
 M02lUZ/0Ng3B3EucyeKvhnGiYuyng3qrv1SuAhQhPdGN4Q9YQI2ffkXa6JzFGHJY1s5WX3NSs
 jkfhNlpvNMk/PVOXzHB0KeNLlrBA4u6a9CbXAXPgTu8vVsQz+LQzrY74PBLIyS8/ZJ1TLQ395
 21Opqf5feHQ+wG+EE
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41239
Cc: 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > The patch below seems to fix it.

It fixes the crash and I think you should apply it.  It doesn't fix the

(emacs:4258): GLib-CRITICAL **: 10:02:32.377: Source ID 356 was not found when attempting to remove it

issue though, just like the more intrusive fix I posted earlier.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 22 May 2020 01:24:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 21 21:24:10 2020
Received: from localhost ([127.0.0.1]:57653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jbwPm-0000my-IA
	for submit <at> debbugs.gnu.org; Thu, 21 May 2020 21:24:10 -0400
Received: from mail-qt1-f176.google.com ([209.85.160.176]:39386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jbwPk-0000mk-Id
 for 41239 <at> debbugs.gnu.org; Thu, 21 May 2020 21:23:56 -0400
Received: by mail-qt1-f176.google.com with SMTP id l1so7150462qtp.6
 for <41239 <at> debbugs.gnu.org>; Thu, 21 May 2020 18:23:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=8FQXeUSnXV18zjI/xsJDZv1i6OFdRI/7703eFw9MhXM=;
 b=u/CwkLHiBJDhSULLOdZildEN0XVBHlOTrbwRO87IhoDISHpHT7SfSvojn0t8DluI1e
 DkCCseZQ9FrwPaD4O/mwqrR0fDmszZX301gnQpJtB6ApNLY1aOkZ4dxafep1HdKr+IV2
 p4eRwbFS/baVIBxEU2qKpnZ+teinLb2/K81QiB5BjYmi+EzTB7JXv8wPH1YIjcWK4DHJ
 rZTyc+ZLaHX8OHPsZuowcvBcXeIc9zqwOoa2fLl9ZgEOWOunEQoyUT00j3MsobfWx48d
 ouAWaHW93d5XGgKuSLvVbXHPcc6bBC7h7Z3YJguIHyOtv1k7+Jx8jc+p6S8uLdfWOOsV
 GDjQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=8FQXeUSnXV18zjI/xsJDZv1i6OFdRI/7703eFw9MhXM=;
 b=oXykcnLF37kmkEXMjFJK+2wocwjmwRtZhV+vKQpUdfMDa3BRxaZPpV4cjKpq1rnupy
 j8NeehaV+MNkJKyXV5YB+d8HJxPshafcXG6qDFyXhADtLQHP/gEaJ+DgGwSr5b1R36Fe
 dey9ainoq3WNYzCX4CSVNxYGRt6505zaSl4M0Q90uNmw/5xG8at2vP4dELayQIzYseIL
 PS6KzfHMcSSV7wjuakO73A9gKFhFowUQzbmXkrBkO4jtPpOYge3k4/anGatPTdLAxriJ
 sjehclrG2y7tk7fLhiMiw/vtR+qXVjBaehGzR+R74zrmI1lg3f0E1CM6nfvVoTbkbDRV
 AXug==
X-Gm-Message-State: AOAM531BIpcvfmaGKY124ILRpq4UagRvUTA+g0cwiEnlAkjU+frkroCd
 YCCxADTGgs8viJkhLG2+nEfJ7Dl4
X-Google-Smtp-Source: ABdhPJwVHqZYdnGQu4gm9nV2snlmKMmUtsmBsskKSRnrP7BA48iXWnwXzMviDSfl1mYmqQ4FTZEvXw==
X-Received: by 2002:ac8:100b:: with SMTP id z11mr13736901qti.157.1590110630860; 
 Thu, 21 May 2020 18:23:50 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 g14sm3027179qtr.52.2020.05.21.18.23.49
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 21 May 2020 18:23:50 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting
 a frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN>
 <835zcq7fop.fsf@HIDDEN>
Date: Thu, 21 May 2020 21:23:49 -0400
In-Reply-To: <835zcq7fop.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 20 May
 2020 19:07:50 +0300")
Message-ID: <87lflklq3e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41239
Cc: rudalics@HIDDEN, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Can someone spot where we pass some wrong parameters to GTK/GIO
> functions in xg_prepare_tooltip?  Or something we do wrong in
> xg_free_frame_widgets?

The patch below seems to fix it.

--- i/src/gtkutil.c
+++ w/src/gtkutil.c
@@ -1404,10 +1404,15 @@ xg_free_frame_widgets (struct frame *f)
       FRAME_X_WINDOW (f) = 0; /* Set to avoid XDestroyWindow in xterm.c */
       FRAME_X_RAW_DRAWABLE (f) = 0;
       FRAME_GTK_OUTER_WIDGET (f) = 0;
+      if (x->ttip_widget)
+        {
+          /* Remove ttip_lbl from ttip_widget's custom slot before
+             destroying it, to avoid double-free (Bug#41239).  */
+          gtk_tooltip_set_custom (x->ttip_widget, NULL);
+          g_object_unref (G_OBJECT (x->ttip_widget));
+        }
       if (x->ttip_lbl)
         gtk_widget_destroy (x->ttip_lbl);
-      if (x->ttip_widget)
-        g_object_unref (G_OBJECT (x->ttip_widget));
     }
 }




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 20 May 2020 16:08:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 20 12:08:20 2020
Received: from localhost ([127.0.0.1]:54092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jbRGK-0007XH-7T
	for submit <at> debbugs.gnu.org; Wed, 20 May 2020 12:08:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jbRGI-0007Wl-Hb
 for 41239 <at> debbugs.gnu.org; Wed, 20 May 2020 12:08:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52080)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jbRGD-00045X-5o; Wed, 20 May 2020 12:08:01 -0400
Received: from [176.228.60.248] (port=4528 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jbRG2-0004Xp-ED; Wed, 20 May 2020 12:08:00 -0400
Date: Wed, 20 May 2020 19:07:50 +0300
Message-Id: <835zcq7fop.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-Reply-To: <87pnazl6hg.fsf@HIDDEN> (message from Noam Postavsky on Tue,
 19 May 2020 21:50:35 -0400)
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting
 a frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41239
Cc: rudalics@HIDDEN, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Noam Postavsky <npostavs@HIDDEN>
> Cc: martin rudalics <rudalics@HIDDEN>,  41239 <at> debbugs.gnu.org
> Date: Tue, 19 May 2020 21:50:35 -0400
> 
> > Once again, all the crashes are inside memory-allocation functions,
> > which suggests some kind of memory corruption.  Did someone try to run
> > this scenario under valgrind?
> 
> I've tried it now, log attached (minus what I believe are some false
> positives that printed during startup).  This is against latest master

Thanks.  This seems to say that we cause some memory allocation in
functions called by xg_prepare_tooltip, but the allocated memory
region is not large enough, and that causes invalid reads beyond end
of allocated region when we call xg_free_frame_widgets (as side effect
of deleting the tooltip frame, I suppose).

Can someone spot where we pass some wrong parameters to GTK/GIO
functions in xg_prepare_tooltip?  Or something we do wrong in
xg_free_frame_widgets?  Failing that, I guess we will need to step
through the GTK functions mentioned by valgrind and see what's going
on there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 20 May 2020 09:06:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 20 05:06:48 2020
Received: from localhost ([127.0.0.1]:52279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jbKgR-0000fF-6f
	for submit <at> debbugs.gnu.org; Wed, 20 May 2020 05:06:47 -0400
Received: from mout.gmx.net ([212.227.15.18]:40363)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jbKgP-0000f2-Vs
 for 41239 <at> debbugs.gnu.org; Wed, 20 May 2020 05:06:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1589965591;
 bh=eEQMixN79aw3HyQVvOmHffuhYcIPsFxC2NrqN79S4Do=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=IY0QEh63hk84Y7sj1F6HNLYnHuSfqBFCTEI1oJ/iF0k5Mr9Q+P0WrbBZ/5de7f4H5
 7l54atiXZak+dc/JwGAD1yGCsNcndYdptk1LQbbEvOOjVPzes4Wu01bq68fxJgnOyY
 AxhNEGcOF9WoOfY7sALmZAjLynZ77GJGIrkDIlWE=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.223]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MTRMs-1jTXkB1P4O-00TiYq; Wed, 20
 May 2020 11:06:31 +0200
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a
 frame
To: Noam Postavsky <npostavs@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN> <87pnazl6hg.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <48dd51af-0fb2-af08-4a6d-90f897ef4acc@HIDDEN>
Date: Wed, 20 May 2020 11:06:30 +0200
MIME-Version: 1.0
In-Reply-To: <87pnazl6hg.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:DDdOplKB/hgB7kpGNP3LDsv6vz2OYICOqH3fEKZpvMN/GAxjiO9
 5xI6294chLC87ENOzJRP9wQvEz4ucAE0Rqedx6AQ71fmh3k/g/S/0rnRUJ4r0IZInKiwOwp
 MK8jIAUw620dY9K3+tKE7SsZWzry3gWDW720r/GUU0sYKzPUIIy7Ml1IkuUmOvVVtyx+FVa
 DBQ+9kzUckHf0AT9r4lpw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:q88LyyCgtjY=:pQ91wQkSLtceELi0+69Cvz
 KUw3YQe0Vz38SPzxEiR/2HR0/O2BakCEjqkuYhbINsJGSnbAsO1B44FxSKoxhGzmfQ9+5nVen
 moY6ZmBA31zTUgiXT0nYz3Zq9moqPj1OXWgNz8uWBcUyzBC2GdwqZJ+j3ZIPjRik1jYuqH8sW
 BuZAbjGG4GsbeFf5dU9NE5ArkmPCkNaC0Bz/S9cunibfA0xuLgdr13CAFq0+alp+aYB2b2NGH
 HD0paBarBH8fteHIbSaLDmAjr+/Yr0nhp83W8ypreXLKVqaHlGwz+v8/7X0Zfx/7OePZTrwPF
 Tj/e7P3CDIxKuIhs5iEA1ivuoS4vnX3xUEQkXC+H4jzVNnLuUfWNyurK6SSRp+oypFrB1l8Fs
 rVaSoenBuevhHczGHTxzHj2JwFVlEO78hey5dJ2FKrYmgvQ0OcKXXGaKRAKnbdHACIaxPoKF5
 UXKWAs0CLRoYEtgprDSMdMD/7JljgkDnKEc3eylfK8quVaqDa3UokPbj7RndngRHEtrwX2MNB
 ybIYJmVVluMcoBFCYIn30Bfi+LMqc1pZ6HKFrmyZ12vPI5+nJTb63bh/YO0GQ6pq2vfKEI6/g
 jDOaoZdSToMTAjvlNCVFwXrvrHxDKACPlQQbXqaNpAfBxvl0cbdVVIXAw/SISPEY2vfkDQsr1
 ejD/aJ5ft3ZPYgPsM3nDrXr1A7BgMzhodvsFDd1ArmOmaGgWC6DCCnWWQXdxtwpghYDFG9ea5
 LnvrArBs9s8xll/iVypUSJgeIJZoeNukp5K4oBt62FCG63tfcFNTr7YAuRy0PgT8S02LB1Oq3
 hY96GUXKEjX5lQgmoC6e49kNsXtHbZoeqd23t08KZLvRhoPwTAyYL0+drBLjxUhdVBCO3igyR
 gC9f8x4UB02q3kq0kjhq3Pn8e+//qSWobd1F83820p1MeFNwwMA2OKLRrJzty+4XtfKdVILyD
 QPsIAhJhyduHHPaLf1jjDzscpSJqH2aiQm4WRnRurpaxWiAU6XXOMbz6isQwK8o6R0o7mQrZY
 s+DfNU7C3Rj35N3hiPA4/e2ftL9uJacrsXX7GefegYPkVfAg8ms4dt7qBRbuRL11D+0ukSjQ0
 wsOvEQ9iw/sCug+4aKpOIPRPwCT5wbSCHMwCnHECF0G4/kA29Y6qmGj7cZVIni6PuJrqZtnpT
 MkY1MLdYjVsEEuqiv/WxDzXJb+mkORH7LqLnuoEnSZUg5O/VjtnulxWplmabq2+ZbP7l/PFqY
 hV2VA38Ktqz+WxSWc
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41239
Cc: 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > I've tried it now, log attached (minus what I believe are some false
 > positives that printed during startup).  This is against latest master
 > [1: 5352bda4ee].

Thank you!  Hopefully, Eli will be able to derive a fix from it.  I
can't.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 20 May 2020 01:50:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 19 21:50:45 2020
Received: from localhost ([127.0.0.1]:51672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jbDsb-0004jo-Gz
	for submit <at> debbugs.gnu.org; Tue, 19 May 2020 21:50:45 -0400
Received: from mail-qv1-f47.google.com ([209.85.219.47]:44273)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jbDsZ-0004ja-OB
 for 41239 <at> debbugs.gnu.org; Tue, 19 May 2020 21:50:44 -0400
Received: by mail-qv1-f47.google.com with SMTP id ee19so615805qvb.11
 for <41239 <at> debbugs.gnu.org>; Tue, 19 May 2020 18:50:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ygerSXEtgoTMfi0jodVr5bxWpAPC23jnYBzdzkQOO50=;
 b=TileZv4hSNzsVHbD8Ac3U7qxa9mYW0vtcqr6MTA1k5Aij3BYM21hXBmzOqRyHFPdr6
 jmWOjZHXKUUqxnvEJCZu5ckAv+AI6NDQtWDHXOxt9TqFx+3ef1JEWhobXNB7Kz2Fzt3j
 oUkGPKSVm0477xgVpgJ9LtC3j5HiKqIQJoMHE/PhdFjnXy/tTOMTzj++nN8Ko+SqURsO
 10o7+qcI3ADlN3o2jpBxmHPU/cRrLo6HVlMpL0XAlQsJ5Nj+gGN29S9UISfc1QtgShl9
 kYabJ8ii8jdN9rgzchd6ykES8vwV+eYaNI4lUOoEONp4taO6bekhHNUKIliWV6IOGtCp
 QLxw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ygerSXEtgoTMfi0jodVr5bxWpAPC23jnYBzdzkQOO50=;
 b=fiCie9M1drtTkjVxr5E71s3q0eKrDbzPixYEHDki4PZWX0r+ScuSESiJL/71B/e/4H
 v9qu2nX+NqL1kwU9dF6JhuQxzsEPvVtNt5CV+ks3NJLoOHUUaw6rJzf/h/Gr9mvob8ZX
 xOtzo6EZ8P3aSpLu/hxKb+vK13rKvp2hjurfewLyLDVWZiYvQ6gNkYm1dtvWKP2lmOCH
 TMKkG78jN6P4jmsPnZYKicXwArpSUa5KPRDiuAlcAH53kC8tZ/9J/bgoFc5UZ0MnskCR
 lZADGddLqMdA4q54AaPytjWQLv5Xq3d8CvSTQhuUhGt0nTZC02ACZie0dOIZ9WTJlv/H
 8z9Q==
X-Gm-Message-State: AOAM532FvjmTGyCtZEvnI3vmbSO46xbifaw7WjEFD7IS6JvwHbzhthDQ
 t+u8OKVAEqnjFd7+2gli0W14RETA
X-Google-Smtp-Source: ABdhPJy+FMHb9NssKEGPaeI1/crQc8iTR9OqhFS6LQmvl6NNKa7tH78ctW/YlvNhH8BNqCbw0WKijA==
X-Received: by 2002:ad4:42a5:: with SMTP id e5mr2669001qvr.234.1589939437751; 
 Tue, 19 May 2020 18:50:37 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 m1sm1404640qtf.72.2020.05.19.18.50.36
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 19 May 2020 18:50:36 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting
 a frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN>
Date: Tue, 19 May 2020 21:50:35 -0400
In-Reply-To: <83d075uisz.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 15 May
 2020 21:58:20 +0300")
Message-ID: <87pnazl6hg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 41239
Cc: martin rudalics <rudalics@HIDDEN>, 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

> Once again, all the crashes are inside memory-allocation functions,
> which suggests some kind of memory corruption.  Did someone try to run
> this scenario under valgrind?

I've tried it now, log attached (minus what I believe are some false
positives that printed during startup).  This is against latest master
[1: 5352bda4ee].


--=-=-=
Content-Type: application/gzip
Content-Disposition: attachment; filename=valgrind.log.gz
Content-Transfer-Encoding: base64
Content-Description: valgrind log

H4sICPKLxF4AA3ZhbGdyaW5kLmxvZwDtmk2P4kYQhu/7K/q2zIEZu93+GCQ0wl/S5rKXKJcosoy7
gQ7+QO42sPn1KZsNYbJEyySeHQ/USINayFXlble9eh+Z6dR8dG13OiWfym2aS05qkXJSLYiSfwji
fZgeL4C/VBNj77KIMS+akGWSS6WTWhTVVsC6XJORLMlDLucPe89JHDaGL5v9eFk27ZdL+B/Te+Ne
VfBhG4Zxb909LzD/AgVsx3BpOJuQp6enQ8ZG1f+eVa/H1iElpZDSNM/ldKkdxnHc3nSW5ZVqapEU
aa1WaZ788vlTmCSf/Z+i4OftBQWr+e8i05fsBKr65sy6dCcvSezaXhC021FyWcImRCF10j5BpXuv
FPvRPyr1WsJ2bMMOGZTQ6ySrSp3KUtRf+6qvBrA9J7StqOemckyHue3ZHHab1E2ZcKk2lbrkxl9w
RLbvu+aE7JfJohYCPtJCJDvJl0IrMoLbbbTM77OJyQzvbAIrCBwKCU7ja6Gqps4EZNhrURdtPDWp
cT5ByFjYJuBC6br6AtVLXu1OQyl1n4XOOIcSCqJNd+ExQQ0iFTEdyKihqCyV5IKkZJ5X2fqoOZSR
9h4/8jPawwIahKE/6a54fsLQ+8sabulhu9zUIq9SnhSiyFYiW4/Tgv91+HDSZx+lbbiGbXVtnstM
HI4pW0Erwkb1KqkWCyV0jwIXOVcicEZsosANQeAoizy/76aaxS7rmuprT8lyW637FTeQ0SD2XqmJ
/FYtXq+J/E66dqkiaQ7Ljxx06rxu+f4MprPoLutVuVgURqHXbvI0+f/VKBBEh5n0b0HsMzc4yEdm
HR1kutmIkvenrY8+uxJtRfN4ibZa8TfamnLeq7D6Rq8dZdszZrPOz8HIb1JoKF1VuZabUzPnOs5p
8MnyZbDmzxDWcN7elZdBWHtrWDO9FtY8ZDVkNdQ3ZDVkNWQ1ZDX0jshq/5XVdrXU4vuwFnkIazhw
78rMIKwhrCGsIaxdq74hrCGsIawhrN2ctiKsfQfWYgNhDQfuXZkZhLW3hjX8GSTSGgoc0hrSGtIa
0hqaR6S11/8ZZOtrTIa+Bmfv3foaBLe3Bjd8y3aF+obcNhB9Q25DbkNuQ267OW29XW5rXcrojjwQ
LnKhxXHx62+wBKhrZ3Z0h0YKh/1qhh1Bcaig+A3tda/pDKS9axIppL2BiBTSHtIe0h7S3s1pK9Le
cGjv4G369so4f0OePwSwoQJYf2/qeHoJu5nOG7DbdUkO4tRAJAdx6sfj1A9ooqslto58nN47Fp3X
0Dr49sjnGMxCz7MnJN4nalXtki5qvygVhDiP9GxBhwaWOQPX0ZQZTFuimnlNRgKeOQRRz3t2th/+
BP1uk1u9XwAA
--=-=-=
Content-Type: text/plain



[1: 5352bda4ee]: 2020-05-20 00:15:11 +0100
  Add test for bug#39680
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=5352bda4eeb7415ad2bda5d74e007b4f36021e68

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 16 May 2020 08:45:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 16 04:45:18 2020
Received: from localhost ([127.0.0.1]:39752 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZsRZ-0003lI-WE
	for submit <at> debbugs.gnu.org; Sat, 16 May 2020 04:45:18 -0400
Received: from mout.gmx.net ([212.227.15.19]:53777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jZsRY-0003l0-Nh
 for 41239 <at> debbugs.gnu.org; Sat, 16 May 2020 04:45:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1589618711;
 bh=jGRGQIllteLwP52dlYB/6KZbTamh8HJMm3jhz7S97kU=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=B6eZemKWtjLNTlqzp7gksMCD2lhs+ED2pBxT1TfnytD47tDJsceideHZYlindas+N
 RtXVFee2GFM1rT85co/PtC6OK069JBG/zdZcaE4yOsIEcmlCAKF4RnXtYNJVforNBd
 FnMXVMW0m4sz+XxgI3cxTfeOPhCBeIThuPobRTe0=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.16]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1McpNo-1izzj23yqI-00a1Bt; Sat, 16
 May 2020 10:45:11 +0200
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a
 frame
To: Eli Zaretskii <eliz@HIDDEN>
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
 <83d075uisz.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <4778e865-87c3-3c26-0bf6-61ec1f164842@HIDDEN>
Date: Sat, 16 May 2020 10:45:10 +0200
MIME-Version: 1.0
In-Reply-To: <83d075uisz.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:SyA7KhRTxDLxcp1zDIUGcRsM1xQo0njqVvnbXwoh3LpLZ5V/87E
 ttXNR84ramvNut+T0LvThnXAeENFAtXxu5h+pHWihA671EO7MxHDVcaBFGTF/+AwoOpq026
 gKg7lY4W+FraF84XkdaRzt5NzZkCc93lrdgayVCsgQ8ZhUUlJGJG7cDvp8To2RSAS+fjGf1
 oIiNHvA1y850oWNQ33JJw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:EXk9KwSFEy8=:/hf9TM3YROFAbp99mkC++W
 Nx0ieUwjE/OvKCER8JyezEcodmh/QOTsN8IeTTaKZ9oSZgI5mw5Q0Y1DUB8SiXACGtRPBmkHu
 r6zDPxAzJF5dbOZByYjP2o9xZMtJIcQhQo8KALeZ7Y5IhE935sOZu05s1uMZ9ctNnjQrJqzja
 98BbcMHZib6eIJXSXiQXWty46LYrf2qbBJi3+vplZTZKM02CEZapS29vtv2/sEiaf8czOwOqt
 6jTVGYGPp8hjxkO240r8d1cTLtYgAr1R8C10JRRNzp3Sxb7/iVkHc3+MChbQd7n5ufN4NAYYB
 BnTJeGiVRGHk2qcDEiw0ZgW7uTNx0mpse7QcB01cwSx3W2DJ4hArOXZDvnA4DP81gSbi/epG3
 plUjz5jxgU+e7Xd/OzQ5/Xwt+nqshA/vexxtMz5WuL+vKaiQKniBjTPTO/pg+SPS63hfQXPC4
 hbkPu81jmHQxrBfsbiWCzymHe2CVEOx0wOoHgw6JvUVp06Y/rIr4ct2akMeRW3Igp7q3DaJfO
 USo1RkBw5S3OxdNV5kaWrIcoP+PGzemDPmwZO3zkZoms7P+UzyumrQucAgs1mwTSxwAwYUfAH
 hduMXynu2oHQlGH+EIF65yV2mGUm5b4hVuFCUzG9yORaJgRh7vLC8WycsSLsz7GA7+JLfRIQq
 ZlTZIDM9XVJ5rNbspj5OK3LKriHyKN2mXv/ZFNRmQcCPsFnPJZtPaI/kCf74lmlDxCpsRoB2q
 JkKPzrec/7HatPXoOd4dHDSLv3eeAyiZGgSBehcqolCLWzY5zIuy1Dj4iEce6UCXBF090gi2t
 8lPfZqGd9h+vHIyrhvCOnrJXL0EtNtq2+ZRhXNrqExUtVO9SAxn37FDPgIsJgzdkhIldH+EL5
 XfoV/+eJBQOhZkpHUKqnP7/z3uQm8AoR4FUOsY8cSgcXC93t6luu7eh8T5Z2518jqBzdmRs6D
 u2kYx0JsuLESlvzzKy2Nm4/k9R+quK1znJupPCuAtYBQFfYU6Ux6SI9+Ff6VXv09bKvgfn6t3
 74mhCeX5VXAPw8Bv6EaLlf3HKSUKZun5y9feF5tw1LK93qAREiY2dodjXQcUDqrudHkP92LBS
 zQ8n7FSV3fVwib0L5Y+upFg+AtEmOJOAIT5mQgLvlFTa6vBYaV8X8CmFEcJFkDhDUhxya6ivG
 GQnxMr4B5907NZHdkMmTKdCUhVczKyOwdNeXt+vp26HXBkeFWToO+o5Mk3A3c6Sdmmk9t/JXk
 JwqAnbmL2SMyYJJFJ
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41239
Cc: 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Once again, all the crashes are inside memory-allocation functions,
 > which suggests some kind of memory corruption.

But we can't exclude that this corruption happens in the GTK code, I
presume.

 > Did someone try to run
 > this scenario under valgrind?

I don't have it installed and never used it.  So I'm afraid that
someone else would have to chime in.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 15 May 2020 18:58:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 14:58:55 2020
Received: from localhost ([127.0.0.1]:38738 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZfXr-0006Nf-G1
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 14:58:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47988)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jZfXp-0006NP-7F
 for 41239 <at> debbugs.gnu.org; Fri, 15 May 2020 14:58:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47780)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jZfXj-00019h-1k; Fri, 15 May 2020 14:58:47 -0400
Received: from [176.228.60.248] (port=1540 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jZfXh-0002wx-9a; Fri, 15 May 2020 14:58:46 -0400
Date: Fri, 15 May 2020 21:58:20 +0300
Message-Id: <83d075uisz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN> (message from
 martin rudalics on Fri, 15 May 2020 20:07:57 +0200)
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a
 frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN> <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41239
Cc: 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 41239 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Fri, 15 May 2020 20:07:57 +0200
> 
> Wouldn't that also block any 'yes-or-no-p' questions we ask when running
> these hooks.  Anyway, it doesn't help.  It crashes as soon as we unblock
> input, for example, thusly

So we need to understand why that crashes.

> tcache_get (tc_idx=0) at malloc.c:2951
> 2951	malloc.c: Datei oder Verzeichnis nicht gefunden.
> (gdb) bt
> #0  0x00007ffff549a7be in tcache_get (tc_idx=0) at malloc.c:2951
> #1  0x00007ffff549a7be in __GI___libc_malloc (bytes=16) at malloc.c:3058

Once again, all the crashes are inside memory-allocation functions,
which suggests some kind of memory corruption.  Did someone try to run
this scenario under valgrind?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 15 May 2020 18:08:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 15 14:08:10 2020
Received: from localhost ([127.0.0.1]:38694 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZekk-0002oV-Bc
	for submit <at> debbugs.gnu.org; Fri, 15 May 2020 14:08:10 -0400
Received: from mout.gmx.net ([212.227.17.20]:54335)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jZeki-0002oD-8O
 for 41239 <at> debbugs.gnu.org; Fri, 15 May 2020 14:08:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1589566081;
 bh=tXL2brGzPjxnr0Pz4gDsecBeZui7WmOZT1qZBPozXoI=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=Z6HDGlr7XoS5znuL2yVKprksvUj1+/KvCFlqKmyuAKDE59mjh5NldD+a0n2zntHZO
 bwZ5paYfu9eSyNcSLrvooEzKFA0KNEOqwUqz0aS/LhYSHCdLRAJuqOKbLXOFkegOBy
 4UkkvkBu00fYku3PcU09Fhqnuzqrdsfpe9vrqzmI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.7.238]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MuDbx-1jEp5A37Jl-00uYUD; Fri, 15
 May 2020 20:08:01 +0200
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a
 frame
To: Eli Zaretskii <eliz@HIDDEN>
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
 <837dxe61g7.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <9395943c-9690-3d97-067d-77d65c27c187@HIDDEN>
Date: Fri, 15 May 2020 20:07:57 +0200
MIME-Version: 1.0
In-Reply-To: <837dxe61g7.fsf@HIDDEN>
Content-Type: multipart/mixed; boundary="------------B701668744622E400D509960"
Content-Language: en-US
X-Provags-ID: V03:K1:6uy8MftVSr7XAx0FIyqGSzoYk0K6Po0E5q9qd9GVjSuXngd+S61
 EnXs4z4+8Cw9CR8a3S28QiTv+z2P6qkH6gGiv/eaVMmv1gM4ukoz54IQvQ7QOyCAmHhlIeA
 HSmghZO7ex2UKmHqSefUbHtnZBejEkJwGQdmEYOfCvJRwZAXdHCaaFPrXqM4USzuZWVYApN
 5tfeO1JPsLtbgFtp2YHiw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:d/KFVrGR5jk=:hHy7kYy8kGymhQ6AJDrIo4
 D6C2USE5IlEhTm5kcgCX7OmnmHO5cX5X3xd0fqjxoZufY3oCaBKCg5bla48gYR2pk7HOnj7jM
 hHRgF5YaZaSXleQgMokVRgdidG7i8xavwVd7zkJXYnUxtbUz3QT3NdizYfDHJa9YgLUuCT38P
 IoJoSpEd6IZJeJ2QYRHCyD7gkZe3GhJPYOATlSzp5gl27SZaf8CedbS6OfIMtcvI91e6sHvhG
 QInU1O62Y7s0bQTdlBoRgNyeAUbcyeV5Bm79lqMP49B34GU1ktoBRNt3Jk1+XL1sOTSeap/ce
 HDJI0N7PprJKvTvlsX5+rsxJsa0YzgKtFyYEmSw3eoveLETSDmhRlatqyBny0RxC/NDYEY7rj
 7V4RL5KYEDCOO2QxpqIQHvZTD++RZ2xfrhETY6K3zCMZWQ7QywdYZ3kSqDmUqpsqkbNaSPi1j
 W6ZV8z4TQqH7xaqQCnxBf+0h1xX8WPLzIL4UZYsvDYpjtiiwhurg5Ua/fzmKLff8NPUdhOG7c
 dRqenC9Hff4P1FRYulvzR2kUuCr7dQMbKagSPArtbHKB0Nee6Lz64nx/q09nlCj5yleZ1RkpZ
 VCUQ4aCi0IBRfb5o8/qJ1f81GjbSXHGh5AGNvugjm0zSlMfQbzs1q8qwPfgqP7nDPuj2PCUlU
 MJBvtRWEk1iM8UWrFROyaVDbSMO3CTQKmpFpDRqJVvHiGRIdJOfA6yJ+cCHJH+lM4I/jcetd0
 e9CYpsRH7y1a+M1v7emphMJYO/pkIhu4Jz0DacsUcR0a3/mla0qp0BKl5crqcQBZ76+7HJc/K
 +KyAOKYSN9as1GO6cHK1P1y9HjavhbfrcjbyKqKBBovEQEgvZdZ0UV6FU7A1suJb5c5xyz+WK
 p60IZjkmXUpoLcItAlDUf93DVFWWmRLDdmzaO8ZdG9J9jqAR5IPQpKiaZHntoex/iP0/jJHtN
 VjE/Qu2yCSi76AH6t8ot5Z5MRMk5/iHI1FL2FqJysY5NManwRwyZG0svthgvX6qicVHebPzq2
 ZzbySjpufJVhoN0AHdAqIJHFzioFUFlp3Ezqls0Mnha4so7ysOGNQLLG2NIW7QFGhFVluvNCR
 ghRX3euDpEnKuiEhGWuUrazOZQHQQlcrAUfF7kPtMeek6pTF3/Ix6IwH6YIJzrf5IhMLJsMm5
 kUYTygNDqJkT3zuxy8maZd3PHoYjwdV4Vw80RH3RTde7DDWdLevF+fRlIWTwMIdH7SQITZNKM
 KGiBHFQhZ8DwQTZpA
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41239
Cc: 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------B701668744622E400D509960
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

 >> Do you mean the already existing one in delete_frame or adding a new
 >> one?
 >
 > The existing ones cover only small parts of delete_frame, and the
 > safe_call2 call is outside both of them, AFAICT.  So yes, I mean
 > blocking input around the safe_call2 call.

Wouldn't that also block any 'yes-or-no-p' questions we ask when running
these hooks.  Anyway, it doesn't help.  It crashes as soon as we unblock
input, for example, thusly

--------------------------

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
tcache_get (tc_idx=0) at malloc.c:2951
2951	malloc.c: Datei oder Verzeichnis nicht gefunden.
(gdb) bt
#0  0x00007ffff549a7be in tcache_get (tc_idx=0) at malloc.c:2951
#1  0x00007ffff549a7be in __GI___libc_malloc (bytes=16) at malloc.c:3058
#2  0x00007ffff66533ff in  () at /lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007ffff6650fb5 in  () at /lib/x86_64-linux-gnu/libxcb.so.1
#4  0x00007ffff66513b1 in  () at /lib/x86_64-linux-gnu/libxcb.so.1
#5  0x00007ffff665143d in xcb_writev () at /lib/x86_64-linux-gnu/libxcb.so.1
#6  0x00007ffff66b697e in _XSend () at /lib/x86_64-linux-gnu/libX11.so.6
#7  0x00007ffff66b6a89 in _XEventsQueued () at /lib/x86_64-linux-gnu/libX11.so.6
#8  0x00007ffff66a87b7 in XPending () at /lib/x86_64-linux-gnu/libX11.so.6
#9  0x00007ffff6f5220d in  () at /lib/x86_64-linux-gnu/libgdk-3.so.0
#10 0x00007ffff6a2b669 in g_main_context_prepare () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffff6a2c06b in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007ffff6a2c207 in g_main_context_pending () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#13 0x00007ffff7220b9d in gtk_events_pending () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#14 0x00000000005cf188 in XTread_socket (terminal=0x1093280, hold_quit=0x7fffffffcab0) at ../../src/xterm.c:9377
#15 0x000000000065a86d in gobble_input () at ../../src/keyboard.c:6891
#16 0x000000000065ad4d in handle_async_input () at ../../src/keyboard.c:7128
#17 0x000000000065ad6c in process_pending_signals () at ../../src/keyboard.c:7142
#18 0x000000000065adac in unblock_input_to (level=0) at ../../src/keyboard.c:7157
#19 0x000000000065add0 in unblock_input () at ../../src/keyboard.c:7176
#20 0x000000000043c478 in delete_frame (frame=XIL(0x1498445), force=XIL(0x30)) at ../../src/frame.c:2146
#21 0x000000000043cdff in Fdelete_frame (frame=XIL(0x1498445), force=XIL(0x30)) at ../../src/frame.c:2333
#22 0x00000000007b3c79 in funcall_subr (subr=0xf86040 <Sdelete_frame>, numargs=2, args=0x7fffffffcdf0) at ../../src/eval.c:2869
#23 0x00000000007b3722 in Ffuncall (nargs=3, args=0x7fffffffcde8) at ../../src/eval.c:2794
#24 0x0000000000836d18 in exec_byte_code (bytestr=XIL(0x7ffff3dd8ff4), vector=XIL(0x7ffff3c510bd), maxdepth=make_fixnum(7), args_template=make_fixnum(257), nargs=1, args=0x7fffffffd3f8) at ../../src/bytecode.c:633
#25 0x00000000007b43a6 in funcall_lambda (fun=XIL(0x7ffff3c51085), nargs=1, arg_vector=0x7fffffffd3f0) at ../../src/eval.c:2989
#26 0x00000000007b3766 in Ffuncall (nargs=2, args=0x7fffffffd3e8) at ../../src/eval.c:2796
#27 0x00000000007a235a in Ffuncall_interactively (nargs=2, args=0x7fffffffd3e8) at ../../src/callint.c:254
#28 0x00000000007b3b4c in funcall_subr (subr=0xf934c0 <Sfuncall_interactively>, numargs=2, args=0x7fffffffd3e8) at ../../src/eval.c:2847
#29 0x00000000007b3722 in Ffuncall (nargs=3, args=0x7fffffffd3e0) at ../../src/eval.c:2794
#30 0x00000000007a4b24 in Fcall_interactively (function=XIL(0x7ffff2c49b90), record_flag=XIL(0), keys=XIL(0x2191f35)) at ../../src/callint.c:783
#31 0x00000000007b3ca5 in funcall_subr (subr=0xf93500 <Scall_interactively>, numargs=3, args=0x7fffffffd7c0) at ../../src/eval.c:2872
#32 0x00000000007b3722 in Ffuncall (nargs=4, args=0x7fffffffd7b8) at ../../src/eval.c:2794
#33 0x0000000000836d18 in exec_byte_code (bytestr=XIL(0x7ffff3d8182c), vector=XIL(0x7ffff3d81585), maxdepth=make_fixnum(13), args_template=make_fixnum(1025), nargs=4, args=0x7fffffffdd38) at ../../src/bytecode.c:633
#34 0x00000000007b43a6 in funcall_lambda (fun=XIL(0x7ffff3d81555), nargs=4, arg_vector=0x7fffffffdd18) at ../../src/eval.c:2989
#35 0x00000000007b3766 in Ffuncall (nargs=5, args=0x7fffffffdd10) at ../../src/eval.c:2796
#36 0x00000000007b3133 in call4 (fn=XIL(0x41a0), arg1=XIL(0x7ffff2c49b90), arg2=XIL(0), arg3=XIL(0x2191f35), arg4=XIL(0x30)) at ../../src/eval.c:2676
#37 0x00000000006502dd in read_char (commandflag=1, map=XIL(0x1e7aeb3), prev_event=XIL(0), used_mouse_menu=0x7fffffffe13f, end_time=0x0) at ../../src/keyboard.c:2882
#38 0x0000000000661c76 in read_key_sequence (keybuf=0x7fffffffe2d0, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at ../../src/keyboard.c:9553
#39 0x000000000064b214 in command_loop_1 () at ../../src/keyboard.c:1350
#40 0x00000000007af706 in internal_condition_case (bfun=0x64ad98 <command_loop_1>, handlers=XIL(0x90), hfun=0x64a3a7 <cmd_error>) at ../../src/eval.c:1355
#41 0x000000000064a97d in command_loop_2 (ignore=XIL(0)) at ../../src/keyboard.c:1091
#42 0x00000000007aebba in internal_catch (tag=XIL(0xd110), func=0x64a950 <command_loop_2>, arg=XIL(0)) at ../../src/eval.c:1116
#43 0x000000000064a91b in command_loop () at ../../src/keyboard.c:1070
#44 0x0000000000649e8e in recursive_edit_1 () at ../../src/keyboard.c:714
#45 0x000000000064a086 in Frecursive_edit () at ../../src/keyboard.c:786
#46 0x000000000064048f in main (argc=2, argv=0x7fffffffe7c8) at ../../src/emacs.c:2054

Lisp Backtrace:
"delete-frame" (0xffffcdf0)
"handle-delete-frame" (0xffffd3f0)
"funcall-interactively" (0xffffd3e8)
"call-interactively" (0xffffd7c0)
"command-execute" (0xffffdd18)

------------------------------

Incidentally, a pure-GTK build does not crash but leaves behind all
tooltips that were open when their frame was deleted until the emacs
session is closed.  So it seems that we have to take care of these
tooltips ourselves.

The attached patch avoids the crash (and by side effect removes all
tooltips when a frame gets deleted).  The GTK warnings still appear.

martin

--------------B701668744622E400D509960
Content-Type: text/x-patch;
 name="tooltip-crash.diff"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="tooltip-crash.diff"

diff --git a/src/frame.c b/src/frame.c
index 4dd8bb1804..e5bf21bd3f 100644
=2D-- a/src/frame.c
+++ b/src/frame.c
@@ -2011,6 +2011,12 @@ delete_frame (Lisp_Object frame, Lisp_Object force)

   /* At this point, we are committed to deleting the frame.
      There is no more chance for errors to prevent it.  */
+
+  /* Hide any pending tooltip (Bug#41239) unless FRAME itself is a
+     tooltip frame.  */
+  if (!is_tooltip_frame)
+    Fx_hide_tip ();
+
   minibuffer_selected =3D EQ (minibuf_window, selected_window);
   sf =3D SELECTED_FRAME ();
   /* Don't let the frame remain selected.  */

--------------B701668744622E400D509960--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 14 May 2020 14:22:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 10:22:55 2020
Received: from localhost ([127.0.0.1]:34324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZElD-0005Ds-7X
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 10:22:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jZElB-0005Dg-IH
 for 41239 <at> debbugs.gnu.org; Thu, 14 May 2020 10:22:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33862)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jZEl6-00063J-3j; Thu, 14 May 2020 10:22:48 -0400
Received: from [176.228.60.248] (port=4131 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jZEl4-0002cJ-8I; Thu, 14 May 2020 10:22:46 -0400
Date: Thu, 14 May 2020 17:22:32 +0300
Message-Id: <837dxe61g7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN> (message from
 martin rudalics on Thu, 14 May 2020 09:54:02 +0200)
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a
 frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN> <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41239
Cc: 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 41239 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Thu, 14 May 2020 09:54:02 +0200
> 
>  >> This looks like yet another GTK specific crash where we apparently can't
>  >> do much.  But maybe someone can spot a pattern we could employ to avoid
>  >> the XTread_socket calls when deleting a frame.
>  >
>  > Isn't block_input inside Fdelete_frame what you want?
> 
> Do you mean the already existing one in delete_frame or adding a new
> one?

The existing ones cover only small parts of delete_frame, and the
safe_call2 call is outside both of them, AFAICT.  So yes, I mean
blocking input around the safe_call2 call.

>  > However, the first backtrace doesn't show Fdelete_frame in the
>  > backtrace, so I'm not sure what's going on there.
> 
> Neither do I.  Note some of the prerequisites:
> 
> - Tooltips must be GTK+ native ones - no crash with our tooltips.
> 
> - There must be two frames - no crash with just one frame.
> 
> - Deleting the frame must be via Alt-F4 - no crash with C-x 5 0.

What about the frame whose menu bar is being updated -- is that the
frame we deleted, by any chance?  Is it a live frame?

The crashes are all in memory allocation routines, so another
possibility is that we have some memory corruption.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 14 May 2020 07:54:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 14 03:54:12 2020
Received: from localhost ([127.0.0.1]:60122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jZ8h2-0003Cp-C9
	for submit <at> debbugs.gnu.org; Thu, 14 May 2020 03:54:12 -0400
Received: from mout.gmx.net ([212.227.15.18]:58763)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jZ8h0-0003CS-I3
 for 41239 <at> debbugs.gnu.org; Thu, 14 May 2020 03:54:11 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1589442844;
 bh=FmjsLsVS+NBRWdh6EtzpsR5slch4l+ppFDwL3Sjjz/U=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=KTG+IGDDe++l4pnxLK9BvHZKi+Cx5saYE7Lr7yOLXWviQTIvXseNzlgkdosye7waD
 jJ19mj2OJ4NWsis6fTcK1fvOPOu2BDh1mllIDvLHh3e3WLmiuFAmMvQqXdSdmAU8Br
 wtb6d9JfobC0eqb9VnIAdTCg8rxWJnrVxxx5ikCA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.245]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1Mq2j2-1in6d73Pgw-00n8UK; Thu, 14
 May 2020 09:54:03 +0200
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a
 frame
To: Eli Zaretskii <eliz@HIDDEN>
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
 <83v9kz679v.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <0af1b68c-93d3-2e8b-7810-41d60ef6a2a8@HIDDEN>
Date: Thu, 14 May 2020 09:54:02 +0200
MIME-Version: 1.0
In-Reply-To: <83v9kz679v.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:zzRUS66u3UbOu9xKoyk3KeWm8u7CHBA82o2vQwF/99PjyOwG9WY
 iHGT/iyJ2unlM5uSFk2BD/zz4LAUPwVK61Vb292CffLDuR5wZyLOKfOXaDiusj7djOHI/Cv
 U8RSvr4+E9SlbWkPQkZ0CjHYnLPACgpw8cmKLYohbOIbY2m82eiphb7zRJ8vcEN4+GYFlhf
 59vic+T0a5oh3dQtjSvZg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:v51lTu2p2Ts=:iDqoQtLYDr3nt/2guC7PO6
 bOGYDJ5yI0egAD7l+M7+d4PpIhXDBEvx2epvnAz46wamUfiyESOvp6Yu0ht/DJ+q7vhqYR/rF
 kJ7GCPZAg1KMMO5uN9ajat8BYhFsDzP3NUTW073Gz/vZ7xIrA6J6apeuhvhQxp6NUWpN/1NTA
 mESv1DpEuHr5JOS8vTCd4qQJmfHP4WR0xhjC8vZbsOK1XaN2hddGTHVZ6soN4x+sX9xtpCME3
 OkrwyYpbcE7G83atAoIr2Ci6QlMnVM8AKwcV1kQ9+ADz9Da6/dPps++PAayw91K3r/5t8ZwTc
 nYaRH09firvYZflxpkY5itABaaClPO5YhZK+snH0OoSNPaOSqrKOlgu/g5X1rHOFkQPX4GQGJ
 D7PsPTYTSKIExS0SajpGj7GZ4++uDf+uHFJUiysC65u8nVVNTOhETasv+Cn3lS8AfUIPhmZ0T
 HArMSAXUCa2Jpjong1mBtvqSzXu3E3X1/9/gdcOi0mx7w5pyC19ltFrgOxI2yE5ip9YTQFzZW
 FEOUmu5vF4FA/fTIuA7mt4wlHPoIuetssarZaRvF/lLGwDporvvXMk9I9D5aa/5oSQxHeVtLY
 /i2bz9kvPqYOa4cjxxp1cmV1NW0E3pT8p4mih+3eYZ3FZVgoXJI55m3LJJczrJJILbGi8sKVP
 2oLgIU3MkFtf3fzoK6wbEZHXpBAhThQNAx5dhDPSIrPj85Y1Wl+ZAU6l6k8xGGsrSnGcnMMbj
 NNDS3lredA3qpg7zQ7jG7fEObt5p0ccaP1Djx3dnVxbTbKxv7bneIGry9AsKljEnRIXN5WSSI
 jeHHlURt/TemidUER3EmsTE0nCA/Znz+KzVO9AukZ2DUxeKiJBKqcXJZtZYQJeUgmPNNhib02
 +vZ6Bl2Z0asmS3IzoSzipxkiRfKujEpAh0mKIg7+89Vapbhv9K//IUUAIOAZEBE1Y+6rx505F
 xMp+PGAM2PfxrYD550Iud8wW1j3oGkZd+TJ6/0Nc97/fBM/7lD7kkALG78MORLyVp+mng9f4D
 uqB4MyNq4Y3hrfBcBQ16bcQqCaidGXIAmoc5cFRz/h6YesGJQA/rgUYJTno7VteTmg1lNUMB1
 9MyRUDdaPeHbkluWbgPQKe3oJHxx5bF66F4n45WAXLK47cCwJtw20jdfDxW4EX4fT67txMoZ0
 coXpGw6KIteWKWEH8yz+5PtsAoB3o5k8WFpnrxBR0ACBW5Hui3yeGrXjCWPlvHvik7fdYFIx5
 aQ9NgChLnPN2caDln
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 41239
Cc: 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> This looks like yet another GTK specific crash where we apparently can't
 >> do much.  But maybe someone can spot a pattern we could employ to avoid
 >> the XTread_socket calls when deleting a frame.
 >
 > Isn't block_input inside Fdelete_frame what you want?

Do you mean the already existing one in delete_frame or adding a new
one?

 > However, the first backtrace doesn't show Fdelete_frame in the
 > backtrace, so I'm not sure what's going on there.

Neither do I.  Note some of the prerequisites:

- Tooltips must be GTK+ native ones - no crash with our tooltips.

- There must be two frames - no crash with just one frame.

- Deleting the frame must be via Alt-F4 - no crash with C-x 5 0.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at 41239 <at> debbugs.gnu.org:


Received: (at 41239) by debbugs.gnu.org; 13 May 2020 18:04:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 13 14:04:54 2020
Received: from localhost ([127.0.0.1]:59485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jYvkU-0003dB-2w
	for submit <at> debbugs.gnu.org; Wed, 13 May 2020 14:04:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jYvkT-0003cy-2X
 for 41239 <at> debbugs.gnu.org; Wed, 13 May 2020 14:04:53 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42789)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jYvkN-0007lA-G0; Wed, 13 May 2020 14:04:47 -0400
Received: from [176.228.60.248] (port=1423 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jYvkM-0004IX-Tq; Wed, 13 May 2020 14:04:47 -0400
Date: Wed, 13 May 2020 21:04:28 +0300
Message-Id: <83v9kz679v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-Reply-To: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN> (message from
 martin rudalics on Wed, 13 May 2020 19:42:43 +0200)
Subject: Re: bug#41239: GTK builds crashing in XTread_socket after deleting a
 frame
References: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41239
Cc: 41239 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: martin rudalics <rudalics@HIDDEN>
> Date: Wed, 13 May 2020 19:42:43 +0200
> 
> This looks like yet another GTK specific crash where we apparently can't
> do much.  But maybe someone can spot a pattern we could employ to avoid
> the XTread_socket calls when deleting a frame.

Isn't block_input inside Fdelete_frame what you want?

However, the first backtrace doesn't show Fdelete_frame in the
backtrace, so I'm not sure what's going on there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 May 2020 17:42:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 13 13:42:52 2020
Received: from localhost ([127.0.0.1]:59424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jYvP9-0000us-Ue
	for submit <at> debbugs.gnu.org; Wed, 13 May 2020 13:42:52 -0400
Received: from lists.gnu.org ([209.51.188.17]:33672)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1jYvP7-0000uk-LR
 for submit <at> debbugs.gnu.org; Wed, 13 May 2020 13:42:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59626)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rudalics@HIDDEN>) id 1jYvP7-0004be-Cx
 for bug-gnu-emacs@HIDDEN; Wed, 13 May 2020 13:42:49 -0400
Received: from mout.gmx.net ([212.227.17.20]:60115)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rudalics@HIDDEN>) id 1jYvP4-0002NY-Um
 for bug-gnu-emacs@HIDDEN; Wed, 13 May 2020 13:42:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1589391764;
 bh=tChl4j6J7rSMfeZWEYMhZHxZYb30f++e80sFiUEzMN0=;
 h=X-UI-Sender-Class:To:From:Subject:Date;
 b=AzFmOkt7wDKEZUsSD0Ri4boFjXu8kJnwKQBH3rMakCl552AoI0/XCzP2OT3yU0W2U
 FU+n9h/yl/tnI7aZ0voobdkWSUBe3VO3wBefqi3P2FF3UT3n4ezp+7F9GFWcZHeEBe
 9lDYkZIIoikAZyDlLN++B3G2hme+VsTkIcFY6nOY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.37]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MDQic-1jPY142HOY-00AZW3 for
 <bug-gnu-emacs@HIDDEN>; Wed, 13 May 2020 19:42:44 +0200
To: Bug-Gnu-Emacs <bug-gnu-emacs@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Subject: GTK builds crashing in XTread_socket after deleting a frame
Message-ID: <b0e04656-3471-f4d9-8ccd-049aa3167332@HIDDEN>
Date: Wed, 13 May 2020 19:42:43 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:R9XkigfPYmRAW6daCY7qL+bnevEmqocdvYKRifhj06Je6bif5LR
 0OPHTlLKEK1omNPPBq/9QZBFZ9J65ly4S7OplVkZFscLRfN9/J/MZieRep0nVgDEQmRpYLz
 sJhXpm9G5YPYokctAFZBUW+vaIq4CLH5YX9XIojwcPdRdrmdjuijLWfMF1KIOcaFjNYEHKH
 c2d9xPH97bIpMSD9U5TUg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:/Q6gChgpNYo=:sIF2Ywq+nPpd3unEoSs6TD
 pfQCaAvKL8gmXrlNKjULy3glmeQlA9pd4aowdt/e4V/Lzptah9POfklNrCIpPI/1rQn/jEHYA
 x62O3nR+6pT41BSTsPWd5hi9gElaTxTjh6MO2Pm8Dve90vagi/X0WdgPtJS4Qg7NwvCHB4dHr
 /dxaP6XWqiNRuDYbxR1wbpBUip4B1uMnaHQncJASIZJpF+1IVY7j16aCs8gXZHMxq2zVeO7CB
 gpQomCW9BAvq6EwkDFS7T8USEynFAqa4B8pjKV5+QGCw6t1REa5zMdJuEFH4ey/KLsgC9yCEc
 g3VyWVO/xl8vV2AMqcAuluSDznGW94s5r4RoV7MmGlALRxCgPkcmMGp0/zPGNMXGCJwztx5R2
 aLLZb4b8h3LNGrpKBMWQGY7/VlbZpvvv3rCvxwBaSp+p05n8JuxQ4FTL1E0dncP/4xokEafNF
 BonVWFgmaMir6IUsZP6haPwqoo5SelFHcqr46/a6rax1AxZ5xQENiVdHQIc9WQdv+4h04rAhW
 fcRUazuleoUHmmfJwts1/00tm1pgxeb0XshaFL0ToMfXeL4fFo4hMpB2i0gs+O9xAIqwXFWMI
 l0hreaJKv0EfweTHkMRzkMhZ+BEklHct4YXgs3VGn2dM4l6QLZXGbkiqwJfuTrTPquynDfT/y
 TuExep8i+JSY+JK6Zz5Q/M6dI8AHRYmxQ8uwyCmDbtUe0SmA6sgt3uYRtiviKT1W+AnsidCoh
 lwgRZxiCila9poGv7Av7G0IcEgT8BWy0o9BaaHVa+2mx5RI6xOXkF5n4YYQDd6fQwjfFFnB8y
 PWa9vL3AHoCbBYGd6D03CRLD2WxUNWIzo0zj2wXmy2ZAA4PWX2RMR7WtYyJc/GzL5Wfljf/Sx
 MxqkCqmA4tigdgI09hhJrmJ2T9RwmkR9RVoqzTQ1t3DM8W3d4LuUMp1HL9FhwnLVw3bTKeJaO
 fUZvQeO/U2/NMx/oCRkMQYTckFACg3qCu4Q/cbcAa6KM7X3IEijzW5VZwhAO77MZkBDKfz1AL
 5kZdqmbJJrDavn3u/mtjAKWOXrB7GBzPEQYGk8wcl/8BkClUYHS2JF06YrkmT7WIzIv47M7Lq
 5EAWfwMD5mMOMsQfwVDKof16/QrB9fudGMW+MYmnch7MQxc5fWxfcKnUE3qA0ArsaiwX33SUn
 MrJCi340cYVmABKMeqcBsren+t+JK7G+FLj05x6uYAkL6EiJtoxC0LeqhTqh/vSAUYcE8I6Qm
 coSroGeqTUwIqYAuq
Received-SPF: pass client-ip=212.227.17.20; envelope-from=rudalics@HIDDEN;
 helo=mout.gmx.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/05/13 13:42:45
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_PASS=-0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This looks like yet another GTK specific crash where we apparently can't
do much.  But maybe someone can spot a pattern we could employ to avoid
the XTread_socket calls when deleting a frame.  Otherwise, we probably
should mention this in PROBLEMS.

Recipe with emacs -Q (here on Debian 10 with various master and release
builds):

C-x 5 2

Move the mouse to some sensitive part of the mode line in either of the
frames such that a GTK tooltip pops up.  Make sure the tooltip doesn't
disappear.

Type Alt-F4.

This gets me backtraces like the ones listed below.  In addition, I am told

(emacs:3116): GLib-CRITICAL **: 19:00:56.620: Source ID 1394 was not found when attempting to remove it

martin


Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x00007ffff56aeb71 in _int_malloc (av=av@entry=0x7ffff57e3c40 <main_arena>, bytes=bytes@entry=16) at malloc.c:3620
3620	malloc.c: Datei oder Verzeichnis nicht gefunden.
(gdb) bt
#0  0x00007ffff56aeb71 in _int_malloc (av=av@entry=0x7ffff57e3c40 <main_arena>, bytes=bytes@entry=16) at malloc.c:3620
#1  0x00007ffff56b0877 in __GI___libc_malloc (bytes=16) at malloc.c:3073
#2  0x00007ffff66533ff in  () at /lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007ffff6653958 in  () at /lib/x86_64-linux-gnu/libxcb.so.1
#4  0x00007ffff66b65ee in  () at /lib/x86_64-linux-gnu/libX11.so.6
#5  0x00007ffff66b6760 in  () at /lib/x86_64-linux-gnu/libX11.so.6
#6  0x00007ffff66b6a5d in _XEventsQueued () at /lib/x86_64-linux-gnu/libX11.so.6
#7  0x00007ffff66a87b7 in XPending () at /lib/x86_64-linux-gnu/libX11.so.6
#8  0x00007ffff6f5220d in  () at /lib/x86_64-linux-gnu/libgdk-3.so.0
#9  0x00007ffff6a2b669 in g_main_context_prepare () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ffff6a2c06b in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffff6a2c207 in g_main_context_pending () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007ffff7220b9d in gtk_events_pending () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#13 0x000000000071dda2 in XTread_socket (terminal=0xf0b6d0, hold_quit=0x7fffffffc4c0) at ../../src/xterm.c:9402
#14 0x0000000000778e85 in gobble_input () at ../../src/keyboard.c:6885
#15 0x0000000000779365 in handle_async_input () at ../../src/keyboard.c:7122
#16 0x0000000000779384 in process_pending_signals () at ../../src/keyboard.c:7136
#17 0x0000000000841b43 in maybe_quit () at ../../src/eval.c:1545
#18 0x0000000000789da3 in access_keymap_1 (map=XIL(0x7ffff3d6de63), idx=XIL(0x9390), t_ok=true, noinherit=false, autoload=true) at ../../src/keymap.c:522
#19 0x0000000000789ea6 in access_keymap (map=XIL(0x7ffff3d6de63), idx=XIL(0x9390), t_ok=true, noinherit=false, autoload=true) at ../../src/keymap.c:533
#20 0x0000000000779c8d in menu_bar_items (old=XIL(0x1a5d555)) at ../../src/keyboard.c:7477
#21 0x00000000004a6307 in update_menu_bar (f=0x1300c40, save_match_data=false, hooks_run=true) at ../../src/xdisp.c:12681
#22 0x00000000004a5e77 in prepare_menu_bars () at ../../src/xdisp.c:12578
#23 0x00000000004aaf20 in redisplay_internal () at ../../src/xdisp.c:15392
#24 0x00000000004acdf6 in redisplay_preserve_echo_area (from_where=5) at ../../src/xdisp.c:16102
#25 0x000000000076905a in read_char (commandflag=1, map=XIL(0x128a083), prev_event=XIL(0), used_mouse_menu=0x7fffffffe13f, end_time=0x0) at ../../src/keyboard.c:2491
#26 0x000000000078028e in read_key_sequence (keybuf=0x7fffffffe2d0, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at ../../src/keyboard.c:9547
#27 0x0000000000765645 in command_loop_1 () at ../../src/keyboard.c:1350
#28 0x00000000008414e8 in internal_condition_case (bfun=0x7651c9 <command_loop_1>, handlers=XIL(0x90), hfun=0x7647d8 <cmd_error>) at ../../src/eval.c:1355
#29 0x0000000000764dae in command_loop_2 (ignore=XIL(0)) at ../../src/keyboard.c:1091
#30 0x000000000084099c in internal_catch (tag=XIL(0xd200), func=0x764d81 <command_loop_2>, arg=XIL(0)) at ../../src/eval.c:1116
#31 0x0000000000764d4c in command_loop () at ../../src/keyboard.c:1070
#32 0x00000000007642bf in recursive_edit_1 () at ../../src/keyboard.c:714
#33 0x00000000007644b7 in Frecursive_edit () at ../../src/keyboard.c:786
#34 0x000000000076063a in main (argc=2, argv=0x7fffffffe7c8) at ../../src/emacs.c:2035

Lisp Backtrace:
"redisplay_internal (C function)" (0x0)
(gdb)

-----

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x00007ffff56aeb71 in _int_malloc (av=av@entry=0x7ffff57e3c40 <main_arena>, bytes=bytes@entry=16) at malloc.c:3620
3620	malloc.c: Datei oder Verzeichnis nicht gefunden.
(gdb) bt
#0  0x00007ffff56aeb71 in _int_malloc (av=av@entry=0x7ffff57e3c40 <main_arena>, bytes=bytes@entry=16) at malloc.c:3620
#1  0x00007ffff56b0877 in __GI___libc_malloc (bytes=16) at malloc.c:3073
#2  0x00007ffff66533ff in  () at /lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007ffff6653958 in  () at /lib/x86_64-linux-gnu/libxcb.so.1
#4  0x00007ffff66b65ee in  () at /lib/x86_64-linux-gnu/libX11.so.6
#5  0x00007ffff66b6760 in  () at /lib/x86_64-linux-gnu/libX11.so.6
#6  0x00007ffff66b6a5d in _XEventsQueued () at /lib/x86_64-linux-gnu/libX11.so.6
#7  0x00007ffff66a87b7 in XPending () at /lib/x86_64-linux-gnu/libX11.so.6
#8  0x00007ffff6f5220d in  () at /lib/x86_64-linux-gnu/libgdk-3.so.0
#9  0x00007ffff6a2b669 in g_main_context_prepare () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ffff6a2c06b in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffff6a2c207 in g_main_context_pending () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007ffff7220b9d in gtk_events_pending () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#13 0x000000000071dda2 in XTread_socket (terminal=0xf0b6d0, hold_quit=0x7fffffffafa0) at ../../src/xterm.c:9402
#14 0x0000000000778e85 in gobble_input () at ../../src/keyboard.c:6885
#15 0x0000000000779365 in handle_async_input () at ../../src/keyboard.c:7122
#16 0x0000000000779384 in process_pending_signals () at ../../src/keyboard.c:7136
#17 0x0000000000841b43 in maybe_quit () at ../../src/eval.c:1545
#18 0x00000000008453aa in Ffuncall (nargs=2, args=0x7fffffffb0f0) at ../../src/eval.c:2766
#19 0x000000000089cf80 in exec_byte_code (bytestr=XIL(0x7ffff3cd2534), vector=XIL(0x7ffff3cd2515), maxdepth=make_fixnum(4), args_template=make_fixnum(256), nargs=1, args=0x7fffffffb5a0) at ../../src/bytecode.c:633
#20 0x0000000000846188 in funcall_lambda (fun=XIL(0x7ffff3cd24e5), nargs=1, arg_vector=0x7fffffffb598) at ../../src/eval.c:2989
#21 0x0000000000845548 in Ffuncall (nargs=2, args=0x7fffffffb590) at ../../src/eval.c:2796
#22 0x000000000089cf80 in exec_byte_code (bytestr=XIL(0x7ffff3cf2c54), vector=XIL(0x7ffff3cf2c3d), maxdepth=make_fixnum(3), args_template=make_fixnum(256), nargs=1, args=0x7fffffffba30) at ../../src/bytecode.c:633
#23 0x0000000000846188 in funcall_lambda (fun=XIL(0x7ffff3cf2c0d), nargs=1, arg_vector=0x7fffffffba28) at ../../src/eval.c:2989
#24 0x0000000000845548 in Ffuncall (nargs=2, args=0x7fffffffba20) at ../../src/eval.c:2796
#25 0x000000000089cf80 in exec_byte_code (bytestr=XIL(0x7ffff3fc2c94), vector=XIL(0x7ffff3fc2b0d), maxdepth=make_fixnum(5), args_template=make_fixnum(0), nargs=0, args=0x7fffffffbed0) at ../../src/bytecode.c:633
#26 0x0000000000846188 in funcall_lambda (fun=XIL(0x7ffff3fc2add), nargs=0, arg_vector=0x7fffffffbed0) at ../../src/eval.c:2989
#27 0x0000000000845548 in Ffuncall (nargs=1, args=0x7fffffffbec8) at ../../src/eval.c:2796
#28 0x000000000089cf80 in exec_byte_code (bytestr=XIL(0x7ffff3fc2e44), vector=XIL(0x7ffff3d999c5), maxdepth=make_fixnum(4), args_template=make_fixnum(0), nargs=0, args=0x7fffffffc378) at ../../src/bytecode.c:633
#29 0x0000000000846188 in funcall_lambda (fun=XIL(0x7ffff3d99995), nargs=0, arg_vector=0x7fffffffc378) at ../../src/eval.c:2989
#30 0x0000000000845548 in Ffuncall (nargs=1, args=0x7fffffffc370) at ../../src/eval.c:2796
#31 0x000000000089cf80 in exec_byte_code (bytestr=XIL(0x7ffff3debd04), vector=XIL(0x7ffff3debced), maxdepth=make_fixnum(2), args_template=make_fixnum(256), nargs=1, args=0x7fffffffc9f8) at ../../src/bytecode.c:633
#32 0x0000000000846188 in funcall_lambda (fun=XIL(0x7ffff3debcbd), nargs=1, arg_vector=0x7fffffffc9f0) at ../../src/eval.c:2989
#33 0x0000000000845548 in Ffuncall (nargs=2, args=0x7fffffffc9e8) at ../../src/eval.c:2796
#34 0x000000000084477d in funcall_nil (nargs=2, args=0x7fffffffc9e8) at ../../src/eval.c:2435
#35 0x0000000000844ca7 in run_hook_with_args (nargs=2, args=0x7fffffffc9e8, funcall=0x84475a <funcall_nil>) at ../../src/eval.c:2612
#36 0x0000000000844803 in Frun_hook_with_args (nargs=2, args=0x7fffffffc9e8) at ../../src/eval.c:2477
#37 0x000000000084592e in funcall_subr (subr=0xe0f180 <Srun_hook_with_args>, numargs=2, args=0x7fffffffc9e8) at ../../src/eval.c:2847
#38 0x0000000000845504 in Ffuncall (nargs=3, args=0x7fffffffc9e0) at ../../src/eval.c:2794
#39 0x0000000000841797 in internal_condition_case_n (bfun=0x845388 <Ffuncall>, nargs=3, args=0x7fffffffc9e0, handlers=XIL(0x30), hfun=0x481a69 <safe_eval_handler>) at ../../src/eval.c:1435
#40 0x0000000000481cbc in safe__call (inhibit_quit=false, nargs=3, func=XIL(0xb9a0), ap=0x7fffffffca90) at ../../src/xdisp.c:2820
#41 0x0000000000481d8d in safe_call (nargs=3, func=XIL(0xb9a0)) at ../../src/xdisp.c:2835
#42 0x0000000000481f1e in safe_call2 (fn=XIL(0xb9a0), arg1=XIL(0x2940), arg2=XIL(0x125cc05)) at ../../src/xdisp.c:2879
#43 0x000000000043458a in delete_frame (frame=XIL(0x125cc05), force=XIL(0x30)) at ../../src/frame.c:2268
#44 0x0000000000434859 in Fdelete_frame (frame=XIL(0x125cc05), force=XIL(0x30)) at ../../src/frame.c:2326
#45 0x0000000000845a5b in funcall_subr (subr=0xe01200 <Sdelete_frame>, numargs=2, args=0x7fffffffcdf0) at ../../src/eval.c:2869
#46 0x0000000000845504 in Ffuncall (nargs=3, args=0x7fffffffcde8) at ../../src/eval.c:2794
#47 0x000000000089cf80 in exec_byte_code (bytestr=XIL(0x7ffff3fe33a4), vector=XIL(0x7ffff3d6e68d), maxdepth=make_fixnum(7), args_template=make_fixnum(257), nargs=1, args=0x7fffffffd3f8) at ../../src/bytecode.c:633
#48 0x0000000000846188 in funcall_lambda (fun=XIL(0x7ffff3d6e655), nargs=1, arg_vector=0x7fffffffd3f0) at ../../src/eval.c:2989
#49 0x0000000000845548 in Ffuncall (nargs=2, args=0x7fffffffd3e8) at ../../src/eval.c:2796
#50 0x0000000000839ba8 in Ffuncall_interactively (nargs=2, args=0x7fffffffd3e8) at ../../src/callint.c:254
#51 0x000000000084592e in funcall_subr (subr=0xe0e900 <Sfuncall_interactively>, numargs=2, args=0x7fffffffd3e8) at ../../src/eval.c:2847
#52 0x0000000000845504 in Ffuncall (nargs=3, args=0x7fffffffd3e0) at ../../src/eval.c:2794
#53 0x000000000083c20f in Fcall_interactively (function=XIL(0x7ffff2eebd40), record_flag=XIL(0), keys=XIL(0x200a9d5)) at ../../src/callint.c:783
#54 0x0000000000845a87 in funcall_subr (subr=0xe0e940 <Scall_interactively>, numargs=3, args=0x7fffffffd7c0) at ../../src/eval.c:2872
#55 0x0000000000845504 in Ffuncall (nargs=4, args=0x7fffffffd7b8) at ../../src/eval.c:2794
#56 0x000000000089cf80 in exec_byte_code (bytestr=XIL(0x7ffff3e1e284), vector=XIL(0x7ffff3e1dda5), maxdepth=make_fixnum(13), args_template=make_fixnum(1025), nargs=4, args=0x7fffffffdd38) at ../../src/bytecode.c:633
#57 0x0000000000846188 in funcall_lambda (fun=XIL(0x7ffff3e1dd75), nargs=4, arg_vector=0x7fffffffdd18) at ../../src/eval.c:2989
#58 0x0000000000845548 in Ffuncall (nargs=5, args=0x7fffffffdd10) at ../../src/eval.c:2796
#59 0x0000000000844f15 in call4 (fn=XIL(0x41a0), arg1=XIL(0x7ffff2eebd40), arg2=XIL(0), arg3=XIL(0x200a9d5), arg4=XIL(0x30)) at ../../src/eval.c:2676
#60 0x000000000076a5f0 in read_char (commandflag=1, map=XIL(0x1fef813), prev_event=XIL(0), used_mouse_menu=0x7fffffffe13f, end_time=0x0) at ../../src/keyboard.c:2882
#61 0x000000000078028e in read_key_sequence (keybuf=0x7fffffffe2d0, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at ../../src/keyboard.c:9547
#62 0x0000000000765645 in command_loop_1 () at ../../src/keyboard.c:1350
#63 0x00000000008414e8 in internal_condition_case (bfun=0x7651c9 <command_loop_1>, handlers=XIL(0x90), hfun=0x7647d8 <cmd_error>) at ../../src/eval.c:1355
#64 0x0000000000764dae in command_loop_2 (ignore=XIL(0)) at ../../src/keyboard.c:1091
#65 0x000000000084099c in internal_catch (tag=XIL(0xd200), func=0x764d81 <command_loop_2>, arg=XIL(0)) at ../../src/eval.c:1116
#66 0x0000000000764d4c in command_loop () at ../../src/keyboard.c:1070
#67 0x00000000007642bf in recursive_edit_1 () at ../../src/keyboard.c:714
#68 0x00000000007644b7 in Frecursive_edit () at ../../src/keyboard.c:786
#69 0x000000000076063a in main (argc=2, argv=0x7fffffffe7c8) at ../../src/emacs.c:2035

Lisp Backtrace:
"framep-on-display" (0xffffb598)
"display-graphic-p" (0xffffba28)
"blink-cursor--should-blink" (0xffffbed0)
"blink-cursor-check" (0xffffc378)
"blink-cursor--rescan-frames" (0xffffc9f0)
"run-hook-with-args" (0xffffc9e8)
"delete-frame" (0xffffcdf0)
"handle-delete-frame" (0xffffd3f0)
"funcall-interactively" (0xffffd3e8)
"call-interactively" (0xffffd7c0)
"command-execute" (0xffffdd18)
(gdb)

-----

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x00007ffff6a499ea in g_slice_alloc () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x00007ffff6a499ea in g_slice_alloc () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffff6a49e69 in g_slice_alloc0 () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff718666c in  () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#3  0x00007ffff716dd22 in  () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#4  0x00007ffff716df2d in  () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#5  0x00007ffff717ea74 in  () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#6  0x00007ffff716a2ca in  () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#7  0x00007ffff717e9ac in  () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#8  0x00007ffff716c865 in  () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#9  0x00007ffff716b634 in  () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#10 0x00007ffff716c35d in  () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#11 0x00007ffff7152cfe in  () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#12 0x00007ffff6b0dc8d in g_closure_invoke () at /lib/x86_64-linux-gnu/libgobject-2.0.so.0
#13 0x00007ffff6b21365 in  () at /lib/x86_64-linux-gnu/libgobject-2.0.so.0
#14 0x00007ffff6b2a2be in g_signal_emit_valist () at /lib/x86_64-linux-gnu/libgobject-2.0.so.0
#15 0x00007ffff6b2a97f in g_signal_emit () at /lib/x86_64-linux-gnu/libgobject-2.0.so.0
#16 0x00007ffff6f2a9ba in  () at /lib/x86_64-linux-gnu/libgdk-3.so.0
#17 0x00007ffff6f15c08 in  () at /lib/x86_64-linux-gnu/libgdk-3.so.0
#18 0x00007ffff6a2c863 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007ffff6a2bdd8 in g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007ffff6a2c1c8 in  () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007ffff6a2c25c in g_main_context_iteration () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007ffff7220bc5 in gtk_main_iteration () at /lib/x86_64-linux-gnu/libgtk-3.so.0
#23 0x000000000071dd74 in XTread_socket (terminal=0xf0b6d0, hold_quit=0x7fffffffb8c0) at ../../src/xterm.c:9407
#24 0x0000000000778e85 in gobble_input () at ../../src/keyboard.c:6885
#25 0x0000000000779365 in handle_async_input () at ../../src/keyboard.c:7122
#26 0x0000000000779384 in process_pending_signals () at ../../src/keyboard.c:7136
#27 0x0000000000841b43 in maybe_quit () at ../../src/eval.c:1545
#28 0x00000000008453aa in Ffuncall (nargs=2, args=0x7fffffffba20) at ../../src/eval.c:2766
#29 0x000000000089cf80 in exec_byte_code (bytestr=XIL(0x7ffff3fc2c94), vector=XIL(0x7ffff3fc2b0d), maxdepth=make_fixnum(5), args_template=make_fixnum(0), nargs=0, args=0x7fffffffbed0) at ../../src/bytecode.c:633
#30 0x0000000000846188 in funcall_lambda (fun=XIL(0x7ffff3fc2add), nargs=0, arg_vector=0x7fffffffbed0) at ../../src/eval.c:2989
#31 0x0000000000845548 in Ffuncall (nargs=1, args=0x7fffffffbec8) at ../../src/eval.c:2796
#32 0x000000000089cf80 in exec_byte_code (bytestr=XIL(0x7ffff3fc2e44), vector=XIL(0x7ffff3d999c5), maxdepth=make_fixnum(4), args_template=make_fixnum(0), nargs=0, args=0x7fffffffc378) at ../../src/bytecode.c:633
#33 0x0000000000846188 in funcall_lambda (fun=XIL(0x7ffff3d99995), nargs=0, arg_vector=0x7fffffffc378) at ../../src/eval.c:2989
#34 0x0000000000845548 in Ffuncall (nargs=1, args=0x7fffffffc370) at ../../src/eval.c:2796
#35 0x000000000089cf80 in exec_byte_code (bytestr=XIL(0x7ffff3debd04), vector=XIL(0x7ffff3debced), maxdepth=make_fixnum(2), args_template=make_fixnum(256), nargs=1, args=0x7fffffffc9f8) at ../../src/bytecode.c:633
#36 0x0000000000846188 in funcall_lambda (fun=XIL(0x7ffff3debcbd), nargs=1, arg_vector=0x7fffffffc9f0) at ../../src/eval.c:2989
#37 0x0000000000845548 in Ffuncall (nargs=2, args=0x7fffffffc9e8) at ../../src/eval.c:2796
#38 0x000000000084477d in funcall_nil (nargs=2, args=0x7fffffffc9e8) at ../../src/eval.c:2435
#39 0x0000000000844ca7 in run_hook_with_args (nargs=2, args=0x7fffffffc9e8, funcall=0x84475a <funcall_nil>) at ../../src/eval.c:2612
#40 0x0000000000844803 in Frun_hook_with_args (nargs=2, args=0x7fffffffc9e8) at ../../src/eval.c:2477
#41 0x000000000084592e in funcall_subr (subr=0xe0f180 <Srun_hook_with_args>, numargs=2, args=0x7fffffffc9e8) at ../../src/eval.c:2847
#42 0x0000000000845504 in Ffuncall (nargs=3, args=0x7fffffffc9e0) at ../../src/eval.c:2794
#43 0x0000000000841797 in internal_condition_case_n (bfun=0x845388 <Ffuncall>, nargs=3, args=0x7fffffffc9e0, handlers=XIL(0x30), hfun=0x481a69 <safe_eval_handler>) at ../../src/eval.c:1435
#44 0x0000000000481cbc in safe__call (inhibit_quit=false, nargs=3, func=XIL(0xb9a0), ap=0x7fffffffca90) at ../../src/xdisp.c:2820
#45 0x0000000000481d8d in safe_call (nargs=3, func=XIL(0xb9a0)) at ../../src/xdisp.c:2835
#46 0x0000000000481f1e in safe_call2 (fn=XIL(0xb9a0), arg1=XIL(0x2940), arg2=XIL(0x12ffd95)) at ../../src/xdisp.c:2879
#47 0x000000000043458a in delete_frame (frame=XIL(0x12ffd95), force=XIL(0x30)) at ../../src/frame.c:2268
#48 0x0000000000434859 in Fdelete_frame (frame=XIL(0x12ffd95), force=XIL(0x30)) at ../../src/frame.c:2326
#49 0x0000000000845a5b in funcall_subr (subr=0xe01200 <Sdelete_frame>, numargs=2, args=0x7fffffffcdf0) at ../../src/eval.c:2869
#50 0x0000000000845504 in Ffuncall (nargs=3, args=0x7fffffffcde8) at ../../src/eval.c:2794
#51 0x000000000089cf80 in exec_byte_code (bytestr=XIL(0x7ffff3fe33a4), vector=XIL(0x7ffff3d6e68d), maxdepth=make_fixnum(7), args_template=make_fixnum(257), nargs=1, args=0x7fffffffd3f8) at ../../src/bytecode.c:633
#52 0x0000000000846188 in funcall_lambda (fun=XIL(0x7ffff3d6e655), nargs=1, arg_vector=0x7fffffffd3f0) at ../../src/eval.c:2989
#53 0x0000000000845548 in Ffuncall (nargs=2, args=0x7fffffffd3e8) at ../../src/eval.c:2796
#54 0x0000000000839ba8 in Ffuncall_interactively (nargs=2, args=0x7fffffffd3e8) at ../../src/callint.c:254
#55 0x000000000084592e in funcall_subr (subr=0xe0e900 <Sfuncall_interactively>, numargs=2, args=0x7fffffffd3e8) at ../../src/eval.c:2847
#56 0x0000000000845504 in Ffuncall (nargs=3, args=0x7fffffffd3e0) at ../../src/eval.c:2794
#57 0x000000000083c20f in Fcall_interactively (function=XIL(0x7ffff2eebd40), record_flag=XIL(0), keys=XIL(0x1fe1df5)) at ../../src/callint.c:783
#58 0x0000000000845a87 in funcall_subr (subr=0xe0e940 <Scall_interactively>, numargs=3, args=0x7fffffffd7c0) at ../../src/eval.c:2872
#59 0x0000000000845504 in Ffuncall (nargs=4, args=0x7fffffffd7b8) at ../../src/eval.c:2794
#60 0x000000000089cf80 in exec_byte_code (bytestr=XIL(0x7ffff3e1e284), vector=XIL(0x7ffff3e1dda5), maxdepth=make_fixnum(13), args_template=make_fixnum(1025), nargs=4, args=0x7fffffffdd38) at ../../src/bytecode.c:633
#61 0x0000000000846188 in funcall_lambda (fun=XIL(0x7ffff3e1dd75), nargs=4, arg_vector=0x7fffffffdd18) at ../../src/eval.c:2989
#62 0x0000000000845548 in Ffuncall (nargs=5, args=0x7fffffffdd10) at ../../src/eval.c:2796
#63 0x0000000000844f15 in call4 (fn=XIL(0x41a0), arg1=XIL(0x7ffff2eebd40), arg2=XIL(0), arg3=XIL(0x1fe1df5), arg4=XIL(0x30)) at ../../src/eval.c:2676
#64 0x000000000076a5f0 in read_char (commandflag=1, map=XIL(0x17cde83), prev_event=XIL(0), used_mouse_menu=0x7fffffffe13f, end_time=0x0) at ../../src/keyboard.c:2882
#65 0x000000000078028e in read_key_sequence (keybuf=0x7fffffffe2d0, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at ../../src/keyboard.c:9547
#66 0x0000000000765645 in command_loop_1 () at ../../src/keyboard.c:1350
#67 0x00000000008414e8 in internal_condition_case (bfun=0x7651c9 <command_loop_1>, handlers=XIL(0x90), hfun=0x7647d8 <cmd_error>) at ../../src/eval.c:1355
#68 0x0000000000764dae in command_loop_2 (ignore=XIL(0)) at ../../src/keyboard.c:1091
#69 0x000000000084099c in internal_catch (tag=XIL(0xd200), func=0x764d81 <command_loop_2>, arg=XIL(0)) at ../../src/eval.c:1116
#70 0x0000000000764d4c in command_loop () at ../../src/keyboard.c:1070
#71 0x00000000007642bf in recursive_edit_1 () at ../../src/keyboard.c:714
#72 0x00000000007644b7 in Frecursive_edit () at ../../src/keyboard.c:786
#73 0x000000000076063a in main (argc=2, argv=0x7fffffffe7c8) at ../../src/emacs.c:2035

Lisp Backtrace:
"blink-cursor--should-blink" (0xffffbed0)
"blink-cursor-check" (0xffffc378)
"blink-cursor--rescan-frames" (0xffffc9f0)
"run-hook-with-args" (0xffffc9e8)
"delete-frame" (0xffffcdf0)
"handle-delete-frame" (0xffffd3f0)
"funcall-interactively" (0xffffd3e8)
"call-interactively" (0xffffd7c0)
"command-execute" (0xffffdd18)
(gdb)




Acknowledgement sent to martin rudalics <rudalics@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#41239; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 May 2020 00:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.